#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::AccountBalance
      switch(to) {
        case 1: return (void*)(Attica::AccountBalance*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::Achievement
      switch(to) {
        case 2: return (void*)(Attica::Achievement*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::Activity
      switch(to) {
        case 3: return (void*)(Attica::Activity*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::BaseJob
      switch(to) {
        case 50: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 4: return (void*)(Attica::BaseJob*)xptr;
        case 28: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        case 18: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::BuildService
      switch(to) {
        case 5: return (void*)(Attica::BuildService*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::BuildServiceJob
      switch(to) {
        case 6: return (void*)(Attica::BuildServiceJob*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::BuildServiceJobOutput
      switch(to) {
        case 7: return (void*)(Attica::BuildServiceJobOutput*)xptr;
        default: return xptr;
      }
    case 8:   //Attica::Category
      switch(to) {
        case 8: return (void*)(Attica::Category*)xptr;
        default: return xptr;
      }
    case 9:   //Attica::Comment
      switch(to) {
        case 9: return (void*)(Attica::Comment*)xptr;
        default: return xptr;
      }
    case 10:   //Attica::Content
      switch(to) {
        case 10: return (void*)(Attica::Content*)xptr;
        default: return xptr;
      }
    case 11:   //Attica::DeleteJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::DeleteJob*)xptr;
        case 50: return (void*)(QObject*)(Attica::DeleteJob*)xptr;
        case 11: return (void*)(Attica::DeleteJob*)xptr;
        default: return xptr;
      }
    case 12:   //Attica::Distribution
      switch(to) {
        case 12: return (void*)(Attica::Distribution*)xptr;
        default: return xptr;
      }
    case 13:   //Attica::DownloadDescription
      switch(to) {
        case 13: return (void*)(Attica::DownloadDescription*)xptr;
        default: return xptr;
      }
    case 14:   //Attica::DownloadItem
      switch(to) {
        case 14: return (void*)(Attica::DownloadItem*)xptr;
        default: return xptr;
      }
    case 15:   //Attica::Event
      switch(to) {
        case 15: return (void*)(Attica::Event*)xptr;
        default: return xptr;
      }
    case 16:   //Attica::Folder
      switch(to) {
        case 16: return (void*)(Attica::Folder*)xptr;
        default: return xptr;
      }
    case 17:   //Attica::Forum
      switch(to) {
        case 17: return (void*)(Attica::Forum*)xptr;
        default: return xptr;
      }
    case 18:   //Attica::GetJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 50: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 18: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 19:   //Attica::HomePageEntry
      switch(to) {
        case 19: return (void*)(Attica::HomePageEntry*)xptr;
        default: return xptr;
      }
    case 20:   //Attica::HomePageType
      switch(to) {
        case 20: return (void*)(Attica::HomePageType*)xptr;
        default: return xptr;
      }
    case 21:   //Attica::Icon
      switch(to) {
        case 21: return (void*)(Attica::Icon*)xptr;
        default: return xptr;
      }
    case 22:   //Attica::KnowledgeBaseEntry
      switch(to) {
        case 22: return (void*)(Attica::KnowledgeBaseEntry*)xptr;
        default: return xptr;
      }
    case 23:   //Attica::License
      switch(to) {
        case 23: return (void*)(Attica::License*)xptr;
        default: return xptr;
      }
    case 24:   //Attica::Message
      switch(to) {
        case 24: return (void*)(Attica::Message*)xptr;
        default: return xptr;
      }
    case 25:   //Attica::Metadata
      switch(to) {
        case 25: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 26:   //Attica::Person
      switch(to) {
        case 26: return (void*)(Attica::Person*)xptr;
        default: return xptr;
      }
    case 27:   //Attica::PlatformDependent
      switch(to) {
        case 27: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 28:   //Attica::PostJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 50: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 28: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 29:   //Attica::PrivateData
      switch(to) {
        case 29: return (void*)(Attica::PrivateData*)xptr;
        default: return xptr;
      }
    case 30:   //Attica::Project
      switch(to) {
        case 30: return (void*)(Attica::Project*)xptr;
        default: return xptr;
      }
    case 31:   //Attica::Provider
      switch(to) {
        case 31: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 32:   //Attica::ProviderManager
      switch(to) {
        case 50: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 32: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 33:   //Attica::Publisher
      switch(to) {
        case 33: return (void*)(Attica::Publisher*)xptr;
        default: return xptr;
      }
    case 34:   //Attica::PublisherField
      switch(to) {
        case 34: return (void*)(Attica::PublisherField*)xptr;
        default: return xptr;
      }
    case 35:   //Attica::PutJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::PutJob*)xptr;
        case 50: return (void*)(QObject*)(Attica::PutJob*)xptr;
        case 35: return (void*)(Attica::PutJob*)xptr;
        default: return xptr;
      }
    case 36:   //Attica::RemoteAccount
      switch(to) {
        case 36: return (void*)(Attica::RemoteAccount*)xptr;
        default: return xptr;
      }
    case 37:   //Attica::Topic
      switch(to) {
        case 37: return (void*)(Attica::Topic*)xptr;
        default: return xptr;
      }
    case 38:   //QBool
      switch(to) {
        case 38: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 39:   //QByteArray
      switch(to) {
        case 39: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 40:   //QChildEvent
      switch(to) {
        case 40: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDate
      switch(to) {
        case 41: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 42:   //QDateTime
      switch(to) {
        case 42: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 43:   //QEvent
      switch(to) {
        case 43: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QIODevice
      switch(to) {
        case 50: return (void*)(QObject*)(QIODevice*)xptr;
        case 45: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 46:   //QMetaObject
      switch(to) {
        case 46: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkAccessManager
      switch(to) {
        case 50: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 47: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkReply
      switch(to) {
        case 48: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkRequest
      switch(to) {
        case 49: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 50:   //QObject
      switch(to) {
        case 50: return (void*)(QObject*)xptr;
        case 4: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 28: return (void*)(Attica::PostJob*)(QObject*)xptr;
        case 32: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 18: return (void*)(Attica::GetJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 51:   //QRegExp
      switch(to) {
        case 51: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 52:   //QTimerEvent
      switch(to) {
        case 52: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QUrl
      switch(to) {
        case 53: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 54:   //QVariant
      switch(to) {
        case 54: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: QObject
    4, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_Attica__DownloadDescription(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__ProviderManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__BaseJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Metadata(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Provider(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__AccountBalance(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Activity(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Category(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Content(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadDescription(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Folder(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__KnowledgeBaseEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__License(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Message(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Metadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Person(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Provider(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::AccountBalance", false, 0, xcall_Attica__AccountBalance, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::AccountBalance) },	//1
    { "Attica::Achievement", true, 0, 0, 0, 0, 0 },	//2
    { "Attica::Activity", false, 0, xcall_Attica__Activity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Activity) },	//3
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, xenum_Attica__BaseJob, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//4
    { "Attica::BuildService", true, 0, 0, 0, 0, 0 },	//5
    { "Attica::BuildServiceJob", true, 0, 0, 0, 0, 0 },	//6
    { "Attica::BuildServiceJobOutput", true, 0, 0, 0, 0, 0 },	//7
    { "Attica::Category", false, 0, xcall_Attica__Category, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Category) },	//8
    { "Attica::Comment", true, 0, 0, 0, 0, 0 },	//9
    { "Attica::Content", false, 0, xcall_Attica__Content, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Content) },	//10
    { "Attica::DeleteJob", true, 0, 0, 0, 0, 0 },	//11
    { "Attica::Distribution", true, 0, 0, 0, 0, 0 },	//12
    { "Attica::DownloadDescription", false, 0, xcall_Attica__DownloadDescription, xenum_Attica__DownloadDescription, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadDescription) },	//13
    { "Attica::DownloadItem", false, 0, xcall_Attica__DownloadItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadItem) },	//14
    { "Attica::Event", false, 0, xcall_Attica__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Event) },	//15
    { "Attica::Folder", false, 0, xcall_Attica__Folder, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Folder) },	//16
    { "Attica::Forum", true, 0, 0, 0, 0, 0 },	//17
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//18
    { "Attica::HomePageEntry", true, 0, 0, 0, 0, 0 },	//19
    { "Attica::HomePageType", true, 0, 0, 0, 0, 0 },	//20
    { "Attica::Icon", true, 0, 0, 0, 0, 0 },	//21
    { "Attica::KnowledgeBaseEntry", false, 0, xcall_Attica__KnowledgeBaseEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::KnowledgeBaseEntry) },	//22
    { "Attica::License", false, 0, xcall_Attica__License, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::License) },	//23
    { "Attica::Message", false, 0, xcall_Attica__Message, xenum_Attica__Message, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Message) },	//24
    { "Attica::Metadata", false, 0, xcall_Attica__Metadata, xenum_Attica__Metadata, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Metadata) },	//25
    { "Attica::Person", false, 0, xcall_Attica__Person, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Person) },	//26
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//27
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//28
    { "Attica::PrivateData", true, 0, 0, 0, 0, 0 },	//29
    { "Attica::Project", true, 0, 0, 0, 0, 0 },	//30
    { "Attica::Provider", false, 0, xcall_Attica__Provider, xenum_Attica__Provider, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Provider) },	//31
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, xenum_Attica__ProviderManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//32
    { "Attica::Publisher", true, 0, 0, 0, 0, 0 },	//33
    { "Attica::PublisherField", true, 0, 0, 0, 0, 0 },	//34
    { "Attica::PutJob", true, 0, 0, 0, 0, 0 },	//35
    { "Attica::RemoteAccount", true, 0, 0, 0, 0, 0 },	//36
    { "Attica::Topic", true, 0, 0, 0, 0, 0 },	//37
    { "QBool", true, 0, 0, 0, 0, 0 },	//38
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//39
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDate", true, 0, 0, 0, 0, 0 },	//41
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//42
    { "QEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//44
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//45
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//46
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//47
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//48
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//49
    { "QObject", true, 0, 0, 0, 0, 0 },	//50
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//51
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QUrl", true, 0, 0, 0, 0, 0 },	//53
    { "QVariant", true, 0, 0, 0, 0, 0 },	//54
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::AccountBalance", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref },	//2
    { "Attica::AccountBalance*", 1, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Attica::Achievement", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "Attica::Activity", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "Attica::Activity&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "Attica::Activity*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Attica::BaseJob*", 4, Smoke::t_class|Smoke::tf_ptr },	//8
    { "Attica::BaseJob::NetworkRequestCustomAttributes", 4, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Attica::BuildService", 5, Smoke::t_class|Smoke::tf_stack },	//10
    { "Attica::BuildServiceJob", 6, Smoke::t_class|Smoke::tf_stack },	//11
    { "Attica::BuildServiceJobOutput", 7, Smoke::t_class|Smoke::tf_stack },	//12
    { "Attica::Category", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Attica::Category&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Attica::Category*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Attica::Comment", 9, Smoke::t_class|Smoke::tf_stack },	//16
    { "Attica::Content", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "Attica::Content&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "Attica::Content*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Attica::DeleteJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Attica::Distribution", 12, Smoke::t_class|Smoke::tf_stack },	//21
    { "Attica::DownloadDescription", 13, Smoke::t_class|Smoke::tf_stack },	//22
    { "Attica::DownloadDescription&", 13, Smoke::t_class|Smoke::tf_ref },	//23
    { "Attica::DownloadDescription*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Attica::DownloadDescription::Type", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Attica::DownloadItem", 14, Smoke::t_class|Smoke::tf_stack },	//26
    { "Attica::DownloadItem&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "Attica::DownloadItem*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Attica::Event", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "Attica::Event&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "Attica::Event*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Attica::Folder", 16, Smoke::t_class|Smoke::tf_stack },	//32
    { "Attica::Folder&", 16, Smoke::t_class|Smoke::tf_ref },	//33
    { "Attica::Folder*", 16, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Attica::Forum", 17, Smoke::t_class|Smoke::tf_stack },	//35
    { "Attica::HomePageEntry", 19, Smoke::t_class|Smoke::tf_stack },	//36
    { "Attica::HomePageType", 20, Smoke::t_class|Smoke::tf_stack },	//37
    { "Attica::Icon", 21, Smoke::t_class|Smoke::tf_stack },	//38
    { "Attica::ItemJob<Attica::AccountBalance>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "Attica::ItemJob<Attica::BuildService>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//40
    { "Attica::ItemJob<Attica::BuildServiceJob>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//41
    { "Attica::ItemJob<Attica::BuildServiceJobOutput>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//42
    { "Attica::ItemJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "Attica::ItemJob<Attica::DownloadItem>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//44
    { "Attica::ItemJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//45
    { "Attica::ItemJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//46
    { "Attica::ItemJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//47
    { "Attica::ItemJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//48
    { "Attica::ItemJob<Attica::PrivateData>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//49
    { "Attica::ItemJob<Attica::Project>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//50
    { "Attica::ItemJob<Attica::Publisher>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//51
    { "Attica::ItemJob<Attica::RemoteAccount>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//52
    { "Attica::ItemPostJob<Attica::Achievement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//53
    { "Attica::ItemPostJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//54
    { "Attica::ItemPostJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//55
    { "Attica::KnowledgeBaseEntry", 22, Smoke::t_class|Smoke::tf_stack },	//56
    { "Attica::KnowledgeBaseEntry&", 22, Smoke::t_class|Smoke::tf_ref },	//57
    { "Attica::KnowledgeBaseEntry*", 22, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Attica::License", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "Attica::License&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "Attica::License*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Attica::ListJob<Attica::Achievement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "Attica::ListJob<Attica::Activity>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//63
    { "Attica::ListJob<Attica::BuildService>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//64
    { "Attica::ListJob<Attica::BuildServiceJob>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//65
    { "Attica::ListJob<Attica::Category>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//66
    { "Attica::ListJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//67
    { "Attica::ListJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//68
    { "Attica::ListJob<Attica::Distribution>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//69
    { "Attica::ListJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//70
    { "Attica::ListJob<Attica::Folder>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//71
    { "Attica::ListJob<Attica::Forum>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//72
    { "Attica::ListJob<Attica::HomePageType>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//73
    { "Attica::ListJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//74
    { "Attica::ListJob<Attica::License>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//75
    { "Attica::ListJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//76
    { "Attica::ListJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//77
    { "Attica::ListJob<Attica::Project>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//78
    { "Attica::ListJob<Attica::Publisher>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//79
    { "Attica::ListJob<Attica::RemoteAccount>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//80
    { "Attica::ListJob<Attica::Topic>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//81
    { "Attica::Message", 24, Smoke::t_class|Smoke::tf_stack },	//82
    { "Attica::Message&", 24, Smoke::t_class|Smoke::tf_ref },	//83
    { "Attica::Message*", 24, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Attica::Message::Status", 24, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Attica::Metadata", 25, Smoke::t_class|Smoke::tf_stack },	//86
    { "Attica::Metadata&", 25, Smoke::t_class|Smoke::tf_ref },	//87
    { "Attica::Metadata*", 25, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Attica::Metadata::Error", 25, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Attica::Person", 26, Smoke::t_class|Smoke::tf_stack },	//90
    { "Attica::Person&", 26, Smoke::t_class|Smoke::tf_ref },	//91
    { "Attica::Person*", 26, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Attica::PlatformDependent*", 27, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Attica::PostJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Attica::PrivateData", 29, Smoke::t_class|Smoke::tf_stack },	//95
    { "Attica::Project", 30, Smoke::t_class|Smoke::tf_stack },	//96
    { "Attica::Provider", 31, Smoke::t_class|Smoke::tf_stack },	//97
    { "Attica::Provider&", 31, Smoke::t_class|Smoke::tf_ref },	//98
    { "Attica::Provider*", 31, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Attica::Provider::SortMode", 31, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Attica::ProviderManager*", 32, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Attica::ProviderManager::ProviderFlag", 32, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Attica::Publisher", 33, Smoke::t_class|Smoke::tf_stack },	//103
    { "Attica::PutJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Attica::RemoteAccount", 36, Smoke::t_class|Smoke::tf_stack },	//105
    { "Attica::Topic", 37, Smoke::t_class|Smoke::tf_stack },	//106
    { "QBool", 38, Smoke::t_class|Smoke::tf_stack },	//107
    { "QChildEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QDate", 41, Smoke::t_class|Smoke::tf_stack },	//109
    { "QDateTime", 42, Smoke::t_class|Smoke::tf_stack },	//110
    { "QEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QIODevice*", 45, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QList<Attica::DownloadDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<Attica::HomePageEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<Attica::Icon>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QMetaObject::Call", 46, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QNetworkAccessManager*", 47, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QNetworkReply*", 48, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QNetworkRequest", 49, Smoke::t_class|Smoke::tf_stack },	//122
    { "QObject*", 50, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QRegExp&", 51, Smoke::t_class|Smoke::tf_ref },	//124
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//128
    { "QTimerEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QUrl", 53, Smoke::t_class|Smoke::tf_stack },	//130
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//203
    { "const Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Attica::Achievement&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Attica::Activity&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Attica::BuildServiceJob&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Attica::Category&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const Attica::Comment::Type", 9, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//209
    { "const Attica::Content&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Attica::DownloadDescription&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Attica::DownloadItem&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const Attica::Event&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Attica::Folder&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const Attica::KnowledgeBaseEntry&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const Attica::License&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const Attica::Message&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Attica::Metadata&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const Attica::Person&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const Attica::PlatformDependent&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const Attica::Project&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Attica::Provider&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Attica::Publisher&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Attica::PublisherField&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Attica::RemoteAccount&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QByteArray&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QDate&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QDateTime&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QFlags<Attica::ProviderManager::ProviderFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QList<Attica::Category>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QList<Attica::Distribution>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QList<Attica::License>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QMetaObject&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QMetaObject*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const QNetworkRequest&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QRegExp&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//238
    { "const QUrl&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QVariant&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//241
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//242
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//243
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//244
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//245
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//246
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//247
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//248
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    204, 0,	//1  const Attica::AccountBalance&
    237, 0,	//3  const QString&
    206, 0,	//5  const Attica::Activity&
    219, 0,	//7  const Attica::Person&
    228, 0,	//9  const QDateTime&
    239, 0,	//11  const QUrl&
    241, 0,	//13  const char*
    241, 241, 0,	//15  const char*, const char*
    241, 241, 244, 0,	//18  const char*, const char*, int
    119, 244, 247, 0,	//22  QMetaObject::Call, int, void**
    8, 0,	//26  Attica::BaseJob*
    218, 0,	//28  const Attica::Metadata&
    208, 0,	//30  const Attica::Category&
    210, 0,	//32  const Attica::Content&
    244, 0,	//34  int
    115, 0,	//36  QList<Attica::Icon>
    117, 0,	//38  QList<QUrl>
    237, 237, 0,	//40  const QString&, const QString&
    211, 0,	//43  const Attica::DownloadDescription&
    25, 0,	//45  Attica::DownloadDescription::Type
    203, 0,	//47  bool
    245, 0,	//49  unsigned int
    212, 0,	//51  const Attica::DownloadItem&
    213, 0,	//53  const Attica::Event&
    227, 0,	//55  const QDate&
    243, 0,	//57  double
    214, 0,	//59  const Attica::Folder&
    215, 0,	//61  const Attica::KnowledgeBaseEntry&
    125, 0,	//63  QString
    216, 0,	//65  const Attica::License&
    217, 0,	//67  const Attica::Message&
    85, 0,	//69  Attica::Message::Status
    89, 0,	//71  Attica::Metadata::Error
    239, 203, 0,	//73  const QUrl&, bool
    239, 126, 126, 0,	//76  const QUrl&, QString&, QString&
    239, 237, 237, 0,	//80  const QUrl&, const QString&, const QString&
    235, 0,	//84  const QNetworkRequest&
    235, 112, 0,	//86  const QNetworkRequest&, QIODevice*
    235, 226, 0,	//89  const QNetworkRequest&, const QByteArray&
    120, 0,	//92  QNetworkAccessManager*
    220, 0,	//94  const Attica::PlatformDependent&
    222, 0,	//96  const Attica::Provider&
    126, 126, 0,	//98  QString&, QString&
    237, 237, 237, 237, 237, 0,	//101  const QString&, const QString&, const QString&, const QString&, const QString&
    243, 243, 243, 244, 244, 0,	//107  double, double, double, int, int
    243, 243, 237, 237, 0,	//113  double, double, const QString&, const QString&
    237, 237, 237, 0,	//118  const QString&, const QString&, const QString&
    237, 244, 244, 0,	//122  const QString&, int, int
    244, 244, 0,	//126  int, int
    214, 85, 0,	//129  const Attica::Folder&, Attica::Message::Status
    214, 237, 0,	//132  const Attica::Folder&, const QString&
    237, 205, 0,	//135  const QString&, const Attica::Achievement&
    237, 237, 205, 0,	//138  const QString&, const QString&, const Attica::Achievement&
    237, 240, 228, 0,	//142  const QString&, const QVariant&, const QDateTime&
    221, 0,	//146  const Attica::Project&
    221, 224, 0,	//148  const Attica::Project&, const Attica::PublisherField&
    207, 223, 0,	//151  const Attica::BuildServiceJob&, const Attica::Publisher&
    207, 0,	//154  const Attica::BuildServiceJob&
    225, 0,	//156  const Attica::RemoteAccount&
    237, 237, 226, 0,	//158  const QString&, const QString&, const QByteArray&
    230, 237, 100, 245, 245, 0,	//162  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    230, 237, 237, 100, 245, 245, 0,	//168  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    230, 237, 231, 232, 237, 100, 245, 245, 0,	//175  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    237, 203, 0,	//184  const QString&, bool
    237, 245, 0,	//187  const QString&, unsigned int
    208, 210, 0,	//190  const Attica::Category&, const Attica::Content&
    208, 237, 210, 0,	//193  const Attica::Category&, const QString&, const Attica::Content&
    237, 237, 237, 226, 0,	//197  const QString&, const QString&, const QString&, const QByteArray&
    210, 237, 100, 244, 244, 0,	//202  const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int
    237, 237, 227, 100, 244, 244, 0,	//208  const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int
    209, 237, 237, 244, 244, 0,	//215  const Attica::Comment::Type, const QString&, const QString&, int, int
    209, 237, 237, 237, 237, 237, 0,	//221  const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&
    237, 245, 245, 0,	//228  const QString&, unsigned int, unsigned int
    245, 245, 0,	//232  unsigned int, unsigned int
    237, 237, 237, 100, 244, 244, 0,	//235  const QString&, const QString&, const QString&, Attica::Provider::SortMode, int, int
    243, 243, 0,	//242  double, double
    243, 243, 243, 0,	//245  double, double, double
    243, 243, 243, 244, 0,	//249  double, double, double, int
    243, 243, 237, 0,	//254  double, double, const QString&
    237, 244, 0,	//258  const QString&, int
    230, 0,	//261  const QList<Attica::Category>&
    230, 237, 0,	//263  const QList<Attica::Category>&, const QString&
    230, 237, 100, 0,	//266  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode
    230, 237, 100, 245, 0,	//270  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int
    230, 237, 237, 0,	//275  const QList<Attica::Category>&, const QString&, const QString&
    230, 237, 237, 100, 0,	//279  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode
    230, 237, 237, 100, 245, 0,	//284  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int
    230, 237, 231, 232, 0,	//290  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&
    230, 237, 231, 232, 237, 0,	//295  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&
    230, 237, 231, 232, 237, 100, 0,	//301  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode
    230, 237, 231, 232, 237, 100, 245, 0,	//308  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int
    229, 0,	//316  const QFlags<Attica::ProviderManager::ProviderFlag>&
    111, 0,	//318  QEvent*
    123, 111, 0,	//320  QObject*, QEvent*
    129, 0,	//323  QTimerEvent*
    108, 0,	//325  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccountBalance",	//1
    "AccountBalance#",	//2
    "Activity",	//3
    "Activity#",	//4
    "Alphabetical",	//5
    "Answered",	//6
    "Category",	//7
    "Category#",	//8
    "Content",	//9
    "Content#",	//10
    "DisablePlugins",	//11
    "DownloadDescription",	//12
    "DownloadDescription#",	//13
    "DownloadItem",	//14
    "DownloadItem#",	//15
    "Downloads",	//16
    "Event",	//17
    "Event#",	//18
    "FileDownload",	//19
    "Folder",	//20
    "Folder#",	//21
    "KnowledgeBaseEntry",	//22
    "KnowledgeBaseEntry#",	//23
    "License",	//24
    "License#",	//25
    "LinkDownload",	//26
    "Message",	//27
    "Message#",	//28
    "Metadata",	//29
    "Metadata#",	//30
    "NetworkError",	//31
    "Newest",	//32
    "NoError",	//33
    "NoFlags",	//34
    "OcsError",	//35
    "PackageDownload",	//36
    "PasswordAttribute",	//37
    "Person",	//38
    "Person#",	//39
    "PlatformDependent",	//40
    "PlatformDependent#",	//41
    "Provider",	//42
    "Provider#",	//43
    "ProviderManager",	//44
    "ProviderManager#",	//45
    "Rating",	//46
    "Read",	//47
    "Unread",	//48
    "UserAttribute",	//49
    "abort",	//50
    "achievementServiceVersion",	//51
    "activityServiceVersion",	//52
    "addAttribute",	//53
    "addAttribute$$",	//54
    "addDefaultProviderFile",	//55
    "addDefaultProviderFile#",	//56
    "addExtendedAttribute",	//57
    "addExtendedAttribute$$",	//58
    "addNewAchievement",	//59
    "addNewAchievement$#",	//60
    "addNewComment",	//61
    "addNewComment$$$$$$",	//62
    "addNewContent",	//63
    "addNewContent##",	//64
    "addProviderFile",	//65
    "addProviderFile#",	//66
    "addProviderFileToDefaultProviders",	//67
    "addProviderFileToDefaultProviders#",	//68
    "addProviderFromXml",	//69
    "addProviderFromXml$",	//70
    "answer",	//71
    "approveFriendship",	//72
    "approveFriendship$",	//73
    "askForCredentials",	//74
    "askForCredentials#$$",	//75
    "associatedPerson",	//76
    "attribute",	//77
    "attribute$",	//78
    "attributes",	//79
    "authenticationCredentialsMissing",	//80
    "authenticationCredentialsMissing#",	//81
    "author",	//82
    "avatarUrl",	//83
    "balance",	//84
    "baseUrl",	//85
    "becomeFan",	//86
    "becomeFan$",	//87
    "birthday",	//88
    "body",	//89
    "cancelBuildServiceJob",	//90
    "cancelBuildServiceJob#",	//91
    "cancelFriendship",	//92
    "cancelFriendship$",	//93
    "category",	//94
    "changed",	//95
    "changelog",	//96
    "checkLogin",	//97
    "checkLogin$$",	//98
    "childEvent",	//99
    "city",	//100
    "clear",	//101
    "commentServiceVersion",	//102
    "comments",	//103
    "connectNotify",	//104
    "contains",	//105
    "contains$",	//106
    "contentId",	//107
    "contentServiceVersion",	//108
    "country",	//109
    "createBuildServiceJob",	//110
    "createBuildServiceJob#",	//111
    "createProject",	//112
    "createProject#",	//113
    "createRemoteAccount",	//114
    "createRemoteAccount#",	//115
    "createRequest",	//116
    "createRequest#",	//117
    "createRequest$",	//118
    "createUrl",	//119
    "createUrl$",	//120
    "created",	//121
    "currency",	//122
    "customEvent",	//123
    "dataFinished",	//124
    "declineFriendship",	//125
    "declineFriendship$",	//126
    "defaultProviderFiles",	//127
    "defaultProvidersLoaded",	//128
    "deleteAchievement",	//129
    "deleteAchievement$$",	//130
    "deleteContent",	//131
    "deleteContent$",	//132
    "deleteDownloadFile",	//133
    "deleteDownloadFile$",	//134
    "deletePreviewImage",	//135
    "deletePreviewImage$$",	//136
    "deleteProject",	//137
    "deleteProject#",	//138
    "deleteRemoteAccount",	//139
    "deleteRemoteAccount$",	//140
    "depend",	//141
    "description",	//142
    "detailPage",	//143
    "detailpage",	//144
    "disconnectNotify",	//145
    "distributionType",	//146
    "doRequestAccountBalance",	//147
    "doRequestAccountBalance#",	//148
    "doRequestAchievementList",	//149
    "doRequestAchievementList#",	//150
    "doRequestActivityList",	//151
    "doRequestActivityList#",	//152
    "doRequestFolderList",	//153
    "doRequestFolderList#",	//154
    "doRequestForumList",	//155
    "doRequestForumList#",	//156
    "doRequestMessageList",	//157
    "doRequestMessageList#",	//158
    "doRequestPerson",	//159
    "doRequestPerson#",	//160
    "doRequestPersonList",	//161
    "doRequestPersonList#",	//162
    "doRequestTopicList",	//163
    "doRequestTopicList#",	//164
    "downloadLink",	//165
    "downloadLink$",	//166
    "downloadLink$$",	//167
    "downloadUrlDescription",	//168
    "downloadUrlDescription$",	//169
    "downloadUrlDescriptions",	//170
    "downloads",	//171
    "editAchievement",	//172
    "editAchievement$$#",	//173
    "editContent",	//174
    "editContent#$#",	//175
    "editProject",	//176
    "editProject#",	//177
    "editRemoteAccount",	//178
    "editRemoteAccount#",	//179
    "enableProvider",	//180
    "enableProvider#$",	//181
    "endDate",	//182
    "error",	//183
    "event",	//184
    "eventFilter",	//185
    "executeRequest",	//186
    "extendedAttribute",	//187
    "extendedAttribute$",	//188
    "extendedAttributes",	//189
    "fanServiceVersion",	//190
    "finished",	//191
    "finished#",	//192
    "firstName",	//193
    "forumServiceVersion",	//194
    "friendServiceVersion",	//195
    "from",	//196
    "get",	//197
    "get#",	//198
    "getDefaultProviderFiles",	//199
    "getRegisterAccountUrl",	//200
    "gpgFingerprint",	//201
    "gpgSignature",	//202
    "hasAchievementService",	//203
    "hasActivityService",	//204
    "hasCommentService",	//205
    "hasContentService",	//206
    "hasCredentials",	//207
    "hasCredentials#",	//208
    "hasFanService",	//209
    "hasForumService",	//210
    "hasFriendService",	//211
    "hasKnowledgebaseService",	//212
    "hasMessageService",	//213
    "hasPersonService",	//214
    "hasPrice",	//215
    "homePageEntries",	//216
    "homePageEntry",	//217
    "homePageEntry$",	//218
    "homepage",	//219
    "icons",	//220
    "id",	//221
    "internals",	//222
    "inviteFriend",	//223
    "inviteFriend$$",	//224
    "isDownloadtypLink",	//225
    "isEnabled",	//226
    "isEnabled#",	//227
    "isValid",	//228
    "itemsPerPage",	//229
    "knowledgebaseServiceVersion",	//230
    "lastName",	//231
    "latitude",	//232
    "license",	//233
    "licenseName",	//234
    "link",	//235
    "loadCredentials",	//236
    "loadCredentials#$$",	//237
    "loadCredentials$$",	//238
    "loadDefaultProviders",	//239
    "longitude",	//240
    "message",	//241
    "messageCount",	//242
    "messageServiceVersion",	//243
    "metaObject",	//244
    "metadata",	//245
    "mimeType",	//246
    "nam",	//247
    "name",	//248
    "numberOfComments",	//249
    "operator=",	//250
    "operator=#",	//251
    "packageName",	//252
    "packageRepository",	//253
    "parse",	//254
    "parse$",	//255
    "personServiceVersion",	//256
    "post",	//257
    "post##",	//258
    "postActivity",	//259
    "postActivity$",	//260
    "postLocation",	//261
    "postLocation$$",	//262
    "postLocation$$$",	//263
    "postLocation$$$$",	//264
    "postMessage",	//265
    "postMessage#",	//266
    "postTopic",	//267
    "postTopic$$$",	//268
    "previewPicture",	//269
    "previewPicture$",	//270
    "priceAmount",	//271
    "priceReason",	//272
    "providerAdded",	//273
    "providerAdded#",	//274
    "providerByUrl",	//275
    "providerByUrl#",	//276
    "providerFiles",	//277
    "providers",	//278
    "publishBuildJob",	//279
    "publishBuildJob##",	//280
    "qt_metacall",	//281
    "qt_metacall$$?",	//282
    "qt_metacast",	//283
    "qt_metacast$",	//284
    "rating",	//285
    "registerAccount",	//286
    "registerAccount$$$$$",	//287
    "removeDefaultProviderFile",	//288
    "removeDefaultProviderFile#",	//289
    "removeProviderFileFromDefaultProviders",	//290
    "removeProviderFileFromDefaultProviders#",	//291
    "repository",	//292
    "requestAccountBalance",	//293
    "requestAchievements",	//294
    "requestAchievements$$$",	//295
    "requestActivities",	//296
    "requestBuildService",	//297
    "requestBuildService$",	//298
    "requestBuildServiceJob",	//299
    "requestBuildServiceJob$",	//300
    "requestBuildServiceJobOutput",	//301
    "requestBuildServiceJobOutput$",	//302
    "requestBuildServiceJobs",	//303
    "requestBuildServiceJobs#",	//304
    "requestBuildServices",	//305
    "requestCategories",	//306
    "requestComments",	//307
    "requestComments$$$$$",	//308
    "requestContent",	//309
    "requestContent$",	//310
    "requestDistributions",	//311
    "requestEvent",	//312
    "requestEvent$",	//313
    "requestEvent$$#$$$",	//314
    "requestFans",	//315
    "requestFans$",	//316
    "requestFans$$",	//317
    "requestFans$$$",	//318
    "requestFolders",	//319
    "requestForums",	//320
    "requestForums$",	//321
    "requestForums$$",	//322
    "requestFriends",	//323
    "requestFriends$",	//324
    "requestFriends$$",	//325
    "requestFriends$$$",	//326
    "requestHomePageTypes",	//327
    "requestKnowledgeBaseEntry",	//328
    "requestKnowledgeBaseEntry$",	//329
    "requestLicenses",	//330
    "requestMessage",	//331
    "requestMessage#$",	//332
    "requestMessages",	//333
    "requestMessages#",	//334
    "requestMessages#$",	//335
    "requestPerson",	//336
    "requestPerson$",	//337
    "requestPersonSearchByLocation",	//338
    "requestPersonSearchByLocation$$",	//339
    "requestPersonSearchByLocation$$$",	//340
    "requestPersonSearchByLocation$$$$",	//341
    "requestPersonSearchByLocation$$$$$",	//342
    "requestPersonSearchByName",	//343
    "requestPersonSearchByName$",	//344
    "requestPersonSelf",	//345
    "requestPrivateData",	//346
    "requestPrivateData$",	//347
    "requestPrivateData$$",	//348
    "requestProject",	//349
    "requestProject$",	//350
    "requestProjects",	//351
    "requestPublisher",	//352
    "requestPublisher$",	//353
    "requestPublishers",	//354
    "requestReceivedInvitations",	//355
    "requestReceivedInvitations$",	//356
    "requestReceivedInvitations$$",	//357
    "requestRemoteAccount",	//358
    "requestRemoteAccount$",	//359
    "requestRemoteAccounts",	//360
    "requestSentInvitations",	//361
    "requestSentInvitations$",	//362
    "requestSentInvitations$$",	//363
    "requestTopics",	//364
    "requestTopics$$$$$$",	//365
    "resetAchievementProgress",	//366
    "resetAchievementProgress$",	//367
    "resultingId",	//368
    "saveCredentials",	//369
    "saveCredentials#$$",	//370
    "saveCredentials$$",	//371
    "savePublisherField",	//372
    "savePublisherField##",	//373
    "searchContents",	//374
    "searchContents?",	//375
    "searchContents?$",	//376
    "searchContents?$$",	//377
    "searchContents?$$$",	//378
    "searchContents?$$$$",	//379
    "searchContents?$??",	//380
    "searchContents?$??$",	//381
    "searchContents?$??$$",	//382
    "searchContents?$??$$$",	//383
    "searchContents?$??$$$$",	//384
    "searchContentsByPerson",	//385
    "searchContentsByPerson?$",	//386
    "searchContentsByPerson?$$",	//387
    "searchContentsByPerson?$$$",	//388
    "searchContentsByPerson?$$$$",	//389
    "searchContentsByPerson?$$$$$",	//390
    "searchKnowledgeBase",	//391
    "searchKnowledgeBase#$$$$",	//392
    "sent",	//393
    "setAchievementProgress",	//394
    "setAchievementProgress$##",	//395
    "setAnswer",	//396
    "setAnswer$",	//397
    "setAssociatedPerson",	//398
    "setAssociatedPerson#",	//399
    "setAuthenticationSuppressed",	//400
    "setAuthenticationSuppressed$",	//401
    "setAvatarUrl",	//402
    "setAvatarUrl#",	//403
    "setBalance",	//404
    "setBalance$",	//405
    "setBirthday",	//406
    "setBirthday#",	//407
    "setBody",	//408
    "setBody$",	//409
    "setCategory",	//410
    "setCategory$",	//411
    "setChanged",	//412
    "setChanged#",	//413
    "setCity",	//414
    "setCity$",	//415
    "setComments",	//416
    "setComments$",	//417
    "setContentId",	//418
    "setContentId$",	//419
    "setCountry",	//420
    "setCountry$",	//421
    "setCreated",	//422
    "setCreated#",	//423
    "setCurrency",	//424
    "setCurrency$",	//425
    "setDescription",	//426
    "setDescription$",	//427
    "setDetailPage",	//428
    "setDetailPage#",	//429
    "setDistributionType",	//430
    "setDistributionType$",	//431
    "setDownloadFile",	//432
    "setDownloadFile$$#",	//433
    "setDownloads",	//434
    "setDownloads$",	//435
    "setDownloadtypLink",	//436
    "setDownloadtypLink$",	//437
    "setEnabled",	//438
    "setEnabled$",	//439
    "setEndDate",	//440
    "setEndDate#",	//441
    "setError",	//442
    "setError$",	//443
    "setFirstName",	//444
    "setFirstName$",	//445
    "setFrom",	//446
    "setFrom$",	//447
    "setGpgFingerprint",	//448
    "setGpgFingerprint$",	//449
    "setGpgSignature",	//450
    "setGpgSignature$",	//451
    "setHasPrice",	//452
    "setHasPrice$",	//453
    "setHomepage",	//454
    "setHomepage#",	//455
    "setHomepage$",	//456
    "setIcons",	//457
    "setIcons?",	//458
    "setId",	//459
    "setId$",	//460
    "setItemsPerPage",	//461
    "setItemsPerPage$",	//462
    "setLastName",	//463
    "setLastName$",	//464
    "setLatitude",	//465
    "setLatitude$",	//466
    "setLink",	//467
    "setLink#",	//468
    "setLink$",	//469
    "setLongitude",	//470
    "setLongitude$",	//471
    "setMessage",	//472
    "setMessage$",	//473
    "setMessageCount",	//474
    "setMessageCount$",	//475
    "setMetadata",	//476
    "setMetadata#",	//477
    "setMimeType",	//478
    "setMimeType$",	//479
    "setNam",	//480
    "setNam#",	//481
    "setName",	//482
    "setName$",	//483
    "setNumberOfComments",	//484
    "setNumberOfComments$",	//485
    "setPackageName",	//486
    "setPackageName$",	//487
    "setPackageRepository",	//488
    "setPackageRepository$",	//489
    "setPreviewImage",	//490
    "setPreviewImage$$$#",	//491
    "setPriceAmount",	//492
    "setPriceAmount$",	//493
    "setPriceReason",	//494
    "setPriceReason$",	//495
    "setPrivateData",	//496
    "setPrivateData$$$",	//497
    "setRating",	//498
    "setRating$",	//499
    "setRepository",	//500
    "setRepository$",	//501
    "setResultingId",	//502
    "setResultingId$",	//503
    "setSent",	//504
    "setSent#",	//505
    "setSize",	//506
    "setSize$",	//507
    "setStartDate",	//508
    "setStartDate#",	//509
    "setStatus",	//510
    "setStatus$",	//511
    "setStatusCode",	//512
    "setStatusCode$",	//513
    "setStatusString",	//514
    "setStatusString$",	//515
    "setSubject",	//516
    "setSubject$",	//517
    "setTimestamp",	//518
    "setTimestamp#",	//519
    "setTo",	//520
    "setTo$",	//521
    "setTotalItems",	//522
    "setTotalItems$",	//523
    "setType",	//524
    "setType$",	//525
    "setUpdated",	//526
    "setUpdated#",	//527
    "setUrl",	//528
    "setUrl#",	//529
    "setUser",	//530
    "setUser$",	//531
    "setVideos",	//532
    "setVideos?",	//533
    "size",	//534
    "smallPreviewPicture",	//535
    "smallPreviewPicture$",	//536
    "start",	//537
    "startDate",	//538
    "staticMetaObject",	//539
    "status",	//540
    "statusCode",	//541
    "statusString",	//542
    "subject",	//543
    "summary",	//544
    "timerEvent",	//545
    "timestamp",	//546
    "to",	//547
    "totalItems",	//548
    "tr",	//549
    "tr$",	//550
    "tr$$",	//551
    "tr$$$",	//552
    "trUtf8",	//553
    "trUtf8$",	//554
    "trUtf8$$",	//555
    "trUtf8$$$",	//556
    "type",	//557
    "updated",	//558
    "uploadTarballToBuildService",	//559
    "uploadTarballToBuildService$$#",	//560
    "url",	//561
    "user",	//562
    "version",	//563
    "videos",	//564
    "voteForComment",	//565
    "voteForComment$$",	//566
    "voteForContent",	//567
    "voteForContent$$",	//568
    "~AccountBalance",	//569
    "~Activity",	//570
    "~BaseJob",	//571
    "~Category",	//572
    "~Content",	//573
    "~DownloadDescription",	//574
    "~DownloadItem",	//575
    "~Event",	//576
    "~Folder",	//577
    "~GetJob",	//578
    "~KnowledgeBaseEntry",	//579
    "~License",	//580
    "~Message",	//581
    "~Metadata",	//582
    "~Person",	//583
    "~PlatformDependent",	//584
    "~PostJob",	//585
    "~Provider",	//586
    "~ProviderManager",	//587
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1, 0, 0, Smoke::mf_ctor, 3, 1},	//1 Attica::AccountBalance::AccountBalance()
    {1, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 2},	//2 Attica::AccountBalance::AccountBalance(const Attica::AccountBalance&)
    {1, 250, 1, 1, 0, 2, 3},	//3 Attica::AccountBalance::operator=(const Attica::AccountBalance&)
    {1, 424, 3, 1, 0, 0, 4},	//4 Attica::AccountBalance::setCurrency(const QString&)
    {1, 122, 0, 0, Smoke::mf_const, 125, 5},	//5 Attica::AccountBalance::currency() const
    {1, 404, 3, 1, 0, 0, 6},	//6 Attica::AccountBalance::setBalance(const QString&)
    {1, 84, 0, 0, Smoke::mf_const, 125, 7},	//7 Attica::AccountBalance::balance() const
    {1, 569, 0, 0, Smoke::mf_dtor, 0, 8 },	//8 Attica::AccountBalance::~AccountBalance()
    {3, 3, 0, 0, Smoke::mf_ctor, 7, 1},	//9 Attica::Activity::Activity()
    {3, 3, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 2},	//10 Attica::Activity::Activity(const Attica::Activity&)
    {3, 250, 5, 1, 0, 6, 3},	//11 Attica::Activity::operator=(const Attica::Activity&)
    {3, 459, 3, 1, 0, 0, 4},	//12 Attica::Activity::setId(const QString&)
    {3, 221, 0, 0, Smoke::mf_const, 125, 5},	//13 Attica::Activity::id() const
    {3, 398, 7, 1, 0, 0, 6},	//14 Attica::Activity::setAssociatedPerson(const Attica::Person&)
    {3, 76, 0, 0, Smoke::mf_const, 90, 7},	//15 Attica::Activity::associatedPerson() const
    {3, 518, 9, 1, 0, 0, 8},	//16 Attica::Activity::setTimestamp(const QDateTime&)
    {3, 546, 0, 0, Smoke::mf_const, 110, 9},	//17 Attica::Activity::timestamp() const
    {3, 472, 3, 1, 0, 0, 10},	//18 Attica::Activity::setMessage(const QString&)
    {3, 241, 0, 0, Smoke::mf_const, 125, 11},	//19 Attica::Activity::message() const
    {3, 467, 11, 1, 0, 0, 12},	//20 Attica::Activity::setLink(const QUrl&)
    {3, 235, 0, 0, Smoke::mf_const, 130, 13},	//21 Attica::Activity::link() const
    {3, 228, 0, 0, Smoke::mf_const, 203, 14},	//22 Attica::Activity::isValid() const
    {3, 570, 0, 0, Smoke::mf_dtor, 0, 15 },	//23 Attica::Activity::~Activity()
    {4, 244, 0, 0, Smoke::mf_const, 234, 1},	//24 Attica::BaseJob::metaObject() const
    {4, 283, 13, 1, 0, 246, 2},	//25 Attica::BaseJob::qt_metacast(const char*)
    {4, 549, 15, 2, Smoke::mf_static, 125, 3},	//26 Attica::BaseJob::tr(const char*, const char*)
    {4, 553, 15, 2, Smoke::mf_static, 125, 4},	//27 Attica::BaseJob::trUtf8(const char*, const char*)
    {4, 549, 18, 3, Smoke::mf_static, 125, 5},	//28 Attica::BaseJob::tr(const char*, const char*, int)
    {4, 553, 18, 3, Smoke::mf_static, 125, 6},	//29 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {4, 281, 22, 3, 0, 244, 7},	//30 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {4, 245, 0, 0, Smoke::mf_const, 86, 8},	//31 Attica::BaseJob::metadata() const
    {4, 537, 0, 0, Smoke::mf_slot, 0, 9},	//32 Attica::BaseJob::start()
    {4, 50, 0, 0, Smoke::mf_slot, 0, 10},	//33 Attica::BaseJob::abort()
    {4, 191, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//34 Attica::BaseJob::finished(Attica::BaseJob*)
    {4, 124, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//35 Attica::BaseJob::dataFinished()
    {4, 476, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//36 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {4, 186, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 121, 14},	//37 Attica::BaseJob::executeRequest() [pure virtual]
    {4, 254, 3, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//38 Attica::BaseJob::parse(const QString&) [pure virtual]
    {4, 222, 0, 0, Smoke::mf_protected, 93, 16},	//39 Attica::BaseJob::internals()
    {4, 549, 13, 1, Smoke::mf_static, 125, 17},	//40 Attica::BaseJob::tr(const char*)
    {4, 553, 13, 1, Smoke::mf_static, 125, 18},	//41 Attica::BaseJob::trUtf8(const char*)
    {4, 539, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 19},	//42 Attica::BaseJob::staticMetaObject() const
    {4, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 20},	//43 Attica::BaseJob::UserAttribute (enum)
    {4, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 21},	//44 Attica::BaseJob::PasswordAttribute (enum)
    {4, 571, 0, 0, Smoke::mf_dtor, 0, 22 },	//45 Attica::BaseJob::~BaseJob()
    {8, 7, 0, 0, Smoke::mf_ctor, 15, 1},	//46 Attica::Category::Category()
    {8, 7, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//47 Attica::Category::Category(const Attica::Category&)
    {8, 250, 30, 1, 0, 14, 3},	//48 Attica::Category::operator=(const Attica::Category&)
    {8, 459, 3, 1, 0, 0, 4},	//49 Attica::Category::setId(const QString&)
    {8, 221, 0, 0, Smoke::mf_const, 125, 5},	//50 Attica::Category::id() const
    {8, 482, 3, 1, 0, 0, 6},	//51 Attica::Category::setName(const QString&)
    {8, 248, 0, 0, Smoke::mf_const, 125, 7},	//52 Attica::Category::name() const
    {8, 228, 0, 0, Smoke::mf_const, 203, 8},	//53 Attica::Category::isValid() const
    {8, 572, 0, 0, Smoke::mf_dtor, 0, 9 },	//54 Attica::Category::~Category()
    {10, 9, 0, 0, Smoke::mf_ctor, 19, 1},	//55 Attica::Content::Content()
    {10, 9, 32, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//56 Attica::Content::Content(const Attica::Content&)
    {10, 250, 32, 1, 0, 18, 3},	//57 Attica::Content::operator=(const Attica::Content&)
    {10, 459, 3, 1, 0, 0, 4},	//58 Attica::Content::setId(const QString&)
    {10, 221, 0, 0, Smoke::mf_const, 125, 5},	//59 Attica::Content::id() const
    {10, 482, 3, 1, 0, 0, 6},	//60 Attica::Content::setName(const QString&)
    {10, 248, 0, 0, Smoke::mf_const, 125, 7},	//61 Attica::Content::name() const
    {10, 498, 34, 1, 0, 0, 8},	//62 Attica::Content::setRating(int)
    {10, 285, 0, 0, Smoke::mf_const, 244, 9},	//63 Attica::Content::rating() const
    {10, 434, 34, 1, 0, 0, 10},	//64 Attica::Content::setDownloads(int)
    {10, 171, 0, 0, Smoke::mf_const, 244, 11},	//65 Attica::Content::downloads() const
    {10, 484, 34, 1, 0, 0, 12},	//66 Attica::Content::setNumberOfComments(int)
    {10, 249, 0, 0, Smoke::mf_const, 244, 13},	//67 Attica::Content::numberOfComments() const
    {10, 422, 9, 1, 0, 0, 14},	//68 Attica::Content::setCreated(const QDateTime&)
    {10, 121, 0, 0, Smoke::mf_const, 110, 15},	//69 Attica::Content::created() const
    {10, 526, 9, 1, 0, 0, 16},	//70 Attica::Content::setUpdated(const QDateTime&)
    {10, 558, 0, 0, Smoke::mf_const, 110, 17},	//71 Attica::Content::updated() const
    {10, 544, 0, 0, Smoke::mf_const, 125, 18},	//72 Attica::Content::summary() const
    {10, 142, 0, 0, Smoke::mf_const, 125, 19},	//73 Attica::Content::description() const
    {10, 144, 0, 0, Smoke::mf_const, 130, 20},	//74 Attica::Content::detailpage() const
    {10, 96, 0, 0, Smoke::mf_const, 125, 21},	//75 Attica::Content::changelog() const
    {10, 563, 0, 0, Smoke::mf_const, 125, 22},	//76 Attica::Content::version() const
    {10, 141, 0, 0, Smoke::mf_const, 125, 23},	//77 Attica::Content::depend() const
    {10, 168, 34, 1, Smoke::mf_const, 22, 24},	//78 Attica::Content::downloadUrlDescription(int) const
    {10, 170, 0, 0, Smoke::mf_const, 113, 25},	//79 Attica::Content::downloadUrlDescriptions() const
    {10, 217, 34, 1, Smoke::mf_const, 36, 26},	//80 Attica::Content::homePageEntry(int) const
    {10, 216, 0, 0, 0, 114, 27},	//81 Attica::Content::homePageEntries()
    {10, 269, 3, 1, Smoke::mf_const, 125, 28},	//82 Attica::Content::previewPicture(const QString&) const
    {10, 535, 3, 1, Smoke::mf_const, 125, 29},	//83 Attica::Content::smallPreviewPicture(const QString&) const
    {10, 233, 0, 0, Smoke::mf_const, 125, 30},	//84 Attica::Content::license() const
    {10, 234, 0, 0, Smoke::mf_const, 125, 31},	//85 Attica::Content::licenseName() const
    {10, 82, 0, 0, Smoke::mf_const, 125, 32},	//86 Attica::Content::author() const
    {10, 220, 0, 0, 0, 115, 33},	//87 Attica::Content::icons()
    {10, 457, 36, 1, 0, 0, 34},	//88 Attica::Content::setIcons(QList<Attica::Icon>)
    {10, 564, 0, 0, 0, 117, 35},	//89 Attica::Content::videos()
    {10, 532, 38, 1, 0, 0, 36},	//90 Attica::Content::setVideos(QList<QUrl>)
    {10, 53, 40, 2, 0, 0, 37},	//91 Attica::Content::addAttribute(const QString&, const QString&)
    {10, 77, 3, 1, Smoke::mf_const, 125, 38},	//92 Attica::Content::attribute(const QString&) const
    {10, 79, 0, 0, Smoke::mf_const, 118, 39},	//93 Attica::Content::attributes() const
    {10, 228, 0, 0, Smoke::mf_const, 203, 40},	//94 Attica::Content::isValid() const
    {10, 269, 0, 0, Smoke::mf_const, 125, 41},	//95 Attica::Content::previewPicture() const
    {10, 535, 0, 0, Smoke::mf_const, 125, 42},	//96 Attica::Content::smallPreviewPicture() const
    {10, 573, 0, 0, Smoke::mf_dtor, 0, 43 },	//97 Attica::Content::~Content()
    {13, 12, 0, 0, Smoke::mf_ctor, 24, 1},	//98 Attica::DownloadDescription::DownloadDescription()
    {13, 12, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 2},	//99 Attica::DownloadDescription::DownloadDescription(const Attica::DownloadDescription&)
    {13, 250, 43, 1, 0, 23, 3},	//100 Attica::DownloadDescription::operator=(const Attica::DownloadDescription&)
    {13, 221, 0, 0, 0, 244, 4},	//101 Attica::DownloadDescription::id()
    {13, 557, 0, 0, 0, 25, 5},	//102 Attica::DownloadDescription::type()
    {13, 225, 0, 0, 0, 203, 6},	//103 Attica::DownloadDescription::isDownloadtypLink()
    {13, 215, 0, 0, 0, 203, 7},	//104 Attica::DownloadDescription::hasPrice()
    {13, 94, 0, 0, 0, 125, 8},	//105 Attica::DownloadDescription::category()
    {13, 248, 0, 0, 0, 125, 9},	//106 Attica::DownloadDescription::name()
    {13, 235, 0, 0, 0, 125, 10},	//107 Attica::DownloadDescription::link()
    {13, 146, 0, 0, 0, 125, 11},	//108 Attica::DownloadDescription::distributionType()
    {13, 272, 0, 0, 0, 125, 12},	//109 Attica::DownloadDescription::priceReason()
    {13, 271, 0, 0, 0, 125, 13},	//110 Attica::DownloadDescription::priceAmount()
    {13, 534, 0, 0, 0, 245, 14},	//111 Attica::DownloadDescription::size()
    {13, 201, 0, 0, 0, 125, 15},	//112 Attica::DownloadDescription::gpgFingerprint()
    {13, 202, 0, 0, 0, 125, 16},	//113 Attica::DownloadDescription::gpgSignature()
    {13, 252, 0, 0, 0, 125, 17},	//114 Attica::DownloadDescription::packageName()
    {13, 292, 0, 0, 0, 125, 18},	//115 Attica::DownloadDescription::repository()
    {13, 459, 34, 1, 0, 0, 19},	//116 Attica::DownloadDescription::setId(int)
    {13, 524, 45, 1, 0, 0, 20},	//117 Attica::DownloadDescription::setType(Attica::DownloadDescription::Type)
    {13, 436, 47, 1, 0, 0, 21},	//118 Attica::DownloadDescription::setDownloadtypLink(bool)
    {13, 452, 47, 1, 0, 0, 22},	//119 Attica::DownloadDescription::setHasPrice(bool)
    {13, 410, 3, 1, 0, 0, 23},	//120 Attica::DownloadDescription::setCategory(const QString&)
    {13, 482, 3, 1, 0, 0, 24},	//121 Attica::DownloadDescription::setName(const QString&)
    {13, 467, 3, 1, 0, 0, 25},	//122 Attica::DownloadDescription::setLink(const QString&)
    {13, 430, 3, 1, 0, 0, 26},	//123 Attica::DownloadDescription::setDistributionType(const QString&)
    {13, 494, 3, 1, 0, 0, 27},	//124 Attica::DownloadDescription::setPriceReason(const QString&)
    {13, 492, 3, 1, 0, 0, 28},	//125 Attica::DownloadDescription::setPriceAmount(const QString&)
    {13, 506, 49, 1, 0, 0, 29},	//126 Attica::DownloadDescription::setSize(unsigned int)
    {13, 448, 3, 1, 0, 0, 30},	//127 Attica::DownloadDescription::setGpgFingerprint(const QString&)
    {13, 450, 3, 1, 0, 0, 31},	//128 Attica::DownloadDescription::setGpgSignature(const QString&)
    {13, 486, 3, 1, 0, 0, 32},	//129 Attica::DownloadDescription::setPackageName(const QString&)
    {13, 500, 3, 1, 0, 0, 33},	//130 Attica::DownloadDescription::setRepository(const QString&)
    {13, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 34},	//131 Attica::DownloadDescription::FileDownload (enum)
    {13, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//132 Attica::DownloadDescription::LinkDownload (enum)
    {13, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//133 Attica::DownloadDescription::PackageDownload (enum)
    {13, 574, 0, 0, Smoke::mf_dtor, 0, 37 },	//134 Attica::DownloadDescription::~DownloadDescription()
    {14, 14, 0, 0, Smoke::mf_ctor, 28, 1},	//135 Attica::DownloadItem::DownloadItem()
    {14, 14, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//136 Attica::DownloadItem::DownloadItem(const Attica::DownloadItem&)
    {14, 250, 51, 1, 0, 27, 3},	//137 Attica::DownloadItem::operator=(const Attica::DownloadItem&)
    {14, 528, 11, 1, 0, 0, 4},	//138 Attica::DownloadItem::setUrl(const QUrl&)
    {14, 561, 0, 0, Smoke::mf_const, 130, 5},	//139 Attica::DownloadItem::url() const
    {14, 478, 3, 1, 0, 0, 6},	//140 Attica::DownloadItem::setMimeType(const QString&)
    {14, 246, 0, 0, Smoke::mf_const, 125, 7},	//141 Attica::DownloadItem::mimeType() const
    {14, 486, 3, 1, 0, 0, 8},	//142 Attica::DownloadItem::setPackageName(const QString&)
    {14, 252, 0, 0, Smoke::mf_const, 125, 9},	//143 Attica::DownloadItem::packageName() const
    {14, 488, 3, 1, 0, 0, 10},	//144 Attica::DownloadItem::setPackageRepository(const QString&)
    {14, 253, 0, 0, Smoke::mf_const, 125, 11},	//145 Attica::DownloadItem::packageRepository() const
    {14, 448, 3, 1, 0, 0, 12},	//146 Attica::DownloadItem::setGpgFingerprint(const QString&)
    {14, 201, 0, 0, Smoke::mf_const, 125, 13},	//147 Attica::DownloadItem::gpgFingerprint() const
    {14, 450, 3, 1, 0, 0, 14},	//148 Attica::DownloadItem::setGpgSignature(const QString&)
    {14, 202, 0, 0, Smoke::mf_const, 125, 15},	//149 Attica::DownloadItem::gpgSignature() const
    {14, 524, 45, 1, 0, 0, 16},	//150 Attica::DownloadItem::setType(Attica::DownloadDescription::Type)
    {14, 557, 0, 0, 0, 25, 17},	//151 Attica::DownloadItem::type()
    {14, 575, 0, 0, Smoke::mf_dtor, 0, 18 },	//152 Attica::DownloadItem::~DownloadItem()
    {15, 17, 0, 0, Smoke::mf_ctor, 31, 1},	//153 Attica::Event::Event()
    {15, 17, 53, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//154 Attica::Event::Event(const Attica::Event&)
    {15, 250, 53, 1, 0, 30, 3},	//155 Attica::Event::operator=(const Attica::Event&)
    {15, 459, 3, 1, 0, 0, 4},	//156 Attica::Event::setId(const QString&)
    {15, 221, 0, 0, Smoke::mf_const, 125, 5},	//157 Attica::Event::id() const
    {15, 482, 3, 1, 0, 0, 6},	//158 Attica::Event::setName(const QString&)
    {15, 248, 0, 0, Smoke::mf_const, 125, 7},	//159 Attica::Event::name() const
    {15, 426, 3, 1, 0, 0, 8},	//160 Attica::Event::setDescription(const QString&)
    {15, 142, 0, 0, Smoke::mf_const, 125, 9},	//161 Attica::Event::description() const
    {15, 530, 3, 1, 0, 0, 10},	//162 Attica::Event::setUser(const QString&)
    {15, 562, 0, 0, Smoke::mf_const, 125, 11},	//163 Attica::Event::user() const
    {15, 508, 55, 1, 0, 0, 12},	//164 Attica::Event::setStartDate(const QDate&)
    {15, 538, 0, 0, Smoke::mf_const, 109, 13},	//165 Attica::Event::startDate() const
    {15, 440, 55, 1, 0, 0, 14},	//166 Attica::Event::setEndDate(const QDate&)
    {15, 182, 0, 0, Smoke::mf_const, 109, 15},	//167 Attica::Event::endDate() const
    {15, 465, 57, 1, 0, 0, 16},	//168 Attica::Event::setLatitude(double)
    {15, 232, 0, 0, Smoke::mf_const, 243, 17},	//169 Attica::Event::latitude() const
    {15, 470, 57, 1, 0, 0, 18},	//170 Attica::Event::setLongitude(double)
    {15, 240, 0, 0, Smoke::mf_const, 243, 19},	//171 Attica::Event::longitude() const
    {15, 454, 11, 1, 0, 0, 20},	//172 Attica::Event::setHomepage(const QUrl&)
    {15, 219, 0, 0, Smoke::mf_const, 130, 21},	//173 Attica::Event::homepage() const
    {15, 420, 3, 1, 0, 0, 22},	//174 Attica::Event::setCountry(const QString&)
    {15, 109, 0, 0, Smoke::mf_const, 125, 23},	//175 Attica::Event::country() const
    {15, 414, 3, 1, 0, 0, 24},	//176 Attica::Event::setCity(const QString&)
    {15, 100, 0, 0, Smoke::mf_const, 125, 25},	//177 Attica::Event::city() const
    {15, 57, 40, 2, 0, 0, 26},	//178 Attica::Event::addExtendedAttribute(const QString&, const QString&)
    {15, 187, 3, 1, Smoke::mf_const, 125, 27},	//179 Attica::Event::extendedAttribute(const QString&) const
    {15, 189, 0, 0, Smoke::mf_const, 118, 28},	//180 Attica::Event::extendedAttributes() const
    {15, 228, 0, 0, Smoke::mf_const, 203, 29},	//181 Attica::Event::isValid() const
    {15, 576, 0, 0, Smoke::mf_dtor, 0, 30 },	//182 Attica::Event::~Event()
    {16, 20, 0, 0, Smoke::mf_ctor, 34, 1},	//183 Attica::Folder::Folder()
    {16, 20, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//184 Attica::Folder::Folder(const Attica::Folder&)
    {16, 250, 59, 1, 0, 33, 3},	//185 Attica::Folder::operator=(const Attica::Folder&)
    {16, 459, 3, 1, 0, 0, 4},	//186 Attica::Folder::setId(const QString&)
    {16, 221, 0, 0, Smoke::mf_const, 125, 5},	//187 Attica::Folder::id() const
    {16, 482, 3, 1, 0, 0, 6},	//188 Attica::Folder::setName(const QString&)
    {16, 248, 0, 0, Smoke::mf_const, 125, 7},	//189 Attica::Folder::name() const
    {16, 474, 34, 1, 0, 0, 8},	//190 Attica::Folder::setMessageCount(int)
    {16, 242, 0, 0, Smoke::mf_const, 244, 9},	//191 Attica::Folder::messageCount() const
    {16, 524, 3, 1, 0, 0, 10},	//192 Attica::Folder::setType(const QString&)
    {16, 557, 0, 0, Smoke::mf_const, 125, 11},	//193 Attica::Folder::type() const
    {16, 228, 0, 0, Smoke::mf_const, 203, 12},	//194 Attica::Folder::isValid() const
    {16, 577, 0, 0, Smoke::mf_dtor, 0, 13 },	//195 Attica::Folder::~Folder()
    {18, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//196 Attica::GetJob::metaObject() const
    {18, 283, 13, 1, Smoke::mf_virtual, 246, 2},	//197 Attica::GetJob::qt_metacast(const char*)
    {18, 549, 15, 2, Smoke::mf_static, 125, 3},	//198 Attica::GetJob::tr(const char*, const char*)
    {18, 553, 15, 2, Smoke::mf_static, 125, 4},	//199 Attica::GetJob::trUtf8(const char*, const char*)
    {18, 549, 18, 3, Smoke::mf_static, 125, 5},	//200 Attica::GetJob::tr(const char*, const char*, int)
    {18, 553, 18, 3, Smoke::mf_static, 125, 6},	//201 Attica::GetJob::trUtf8(const char*, const char*, int)
    {18, 281, 22, 3, Smoke::mf_virtual, 244, 7},	//202 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {18, 549, 13, 1, Smoke::mf_static, 125, 8},	//203 Attica::GetJob::tr(const char*)
    {18, 553, 13, 1, Smoke::mf_static, 125, 9},	//204 Attica::GetJob::trUtf8(const char*)
    {18, 539, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 10},	//205 Attica::GetJob::staticMetaObject() const
    {18, 578, 0, 0, Smoke::mf_dtor, 0, 11 },	//206 Attica::GetJob::~GetJob()
    {22, 22, 0, 0, Smoke::mf_ctor, 58, 1},	//207 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry()
    {22, 22, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//208 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry(const Attica::KnowledgeBaseEntry&)
    {22, 250, 61, 1, 0, 57, 3},	//209 Attica::KnowledgeBaseEntry::operator=(const Attica::KnowledgeBaseEntry&)
    {22, 459, 63, 1, 0, 0, 4},	//210 Attica::KnowledgeBaseEntry::setId(QString)
    {22, 221, 0, 0, Smoke::mf_const, 125, 5},	//211 Attica::KnowledgeBaseEntry::id() const
    {22, 418, 34, 1, 0, 0, 6},	//212 Attica::KnowledgeBaseEntry::setContentId(int)
    {22, 107, 0, 0, Smoke::mf_const, 244, 7},	//213 Attica::KnowledgeBaseEntry::contentId() const
    {22, 530, 3, 1, 0, 0, 8},	//214 Attica::KnowledgeBaseEntry::setUser(const QString&)
    {22, 562, 0, 0, Smoke::mf_const, 125, 9},	//215 Attica::KnowledgeBaseEntry::user() const
    {22, 510, 3, 1, 0, 0, 10},	//216 Attica::KnowledgeBaseEntry::setStatus(const QString&)
    {22, 540, 0, 0, Smoke::mf_const, 125, 11},	//217 Attica::KnowledgeBaseEntry::status() const
    {22, 412, 9, 1, 0, 0, 12},	//218 Attica::KnowledgeBaseEntry::setChanged(const QDateTime&)
    {22, 95, 0, 0, Smoke::mf_const, 110, 13},	//219 Attica::KnowledgeBaseEntry::changed() const
    {22, 482, 3, 1, 0, 0, 14},	//220 Attica::KnowledgeBaseEntry::setName(const QString&)
    {22, 248, 0, 0, Smoke::mf_const, 125, 15},	//221 Attica::KnowledgeBaseEntry::name() const
    {22, 426, 3, 1, 0, 0, 16},	//222 Attica::KnowledgeBaseEntry::setDescription(const QString&)
    {22, 142, 0, 0, Smoke::mf_const, 125, 17},	//223 Attica::KnowledgeBaseEntry::description() const
    {22, 396, 3, 1, 0, 0, 18},	//224 Attica::KnowledgeBaseEntry::setAnswer(const QString&)
    {22, 71, 0, 0, Smoke::mf_const, 125, 19},	//225 Attica::KnowledgeBaseEntry::answer() const
    {22, 416, 34, 1, 0, 0, 20},	//226 Attica::KnowledgeBaseEntry::setComments(int)
    {22, 103, 0, 0, Smoke::mf_const, 244, 21},	//227 Attica::KnowledgeBaseEntry::comments() const
    {22, 428, 11, 1, 0, 0, 22},	//228 Attica::KnowledgeBaseEntry::setDetailPage(const QUrl&)
    {22, 143, 0, 0, Smoke::mf_const, 130, 23},	//229 Attica::KnowledgeBaseEntry::detailPage() const
    {22, 57, 40, 2, 0, 0, 24},	//230 Attica::KnowledgeBaseEntry::addExtendedAttribute(const QString&, const QString&)
    {22, 187, 3, 1, Smoke::mf_const, 125, 25},	//231 Attica::KnowledgeBaseEntry::extendedAttribute(const QString&) const
    {22, 189, 0, 0, Smoke::mf_const, 118, 26},	//232 Attica::KnowledgeBaseEntry::extendedAttributes() const
    {22, 228, 0, 0, Smoke::mf_const, 203, 27},	//233 Attica::KnowledgeBaseEntry::isValid() const
    {22, 579, 0, 0, Smoke::mf_dtor, 0, 28 },	//234 Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry()
    {23, 24, 0, 0, Smoke::mf_ctor, 61, 1},	//235 Attica::License::License()
    {23, 24, 65, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//236 Attica::License::License(const Attica::License&)
    {23, 250, 65, 1, 0, 60, 3},	//237 Attica::License::operator=(const Attica::License&)
    {23, 221, 0, 0, Smoke::mf_const, 245, 4},	//238 Attica::License::id() const
    {23, 459, 49, 1, 0, 0, 5},	//239 Attica::License::setId(unsigned int)
    {23, 248, 0, 0, Smoke::mf_const, 125, 6},	//240 Attica::License::name() const
    {23, 482, 3, 1, 0, 0, 7},	//241 Attica::License::setName(const QString&)
    {23, 561, 0, 0, Smoke::mf_const, 130, 8},	//242 Attica::License::url() const
    {23, 528, 11, 1, 0, 0, 9},	//243 Attica::License::setUrl(const QUrl&)
    {23, 580, 0, 0, Smoke::mf_dtor, 0, 10 },	//244 Attica::License::~License()
    {24, 27, 0, 0, Smoke::mf_ctor, 84, 1},	//245 Attica::Message::Message()
    {24, 27, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//246 Attica::Message::Message(const Attica::Message&)
    {24, 250, 67, 1, 0, 83, 3},	//247 Attica::Message::operator=(const Attica::Message&)
    {24, 459, 3, 1, 0, 0, 4},	//248 Attica::Message::setId(const QString&)
    {24, 221, 0, 0, Smoke::mf_const, 125, 5},	//249 Attica::Message::id() const
    {24, 446, 3, 1, 0, 0, 6},	//250 Attica::Message::setFrom(const QString&)
    {24, 196, 0, 0, Smoke::mf_const, 125, 7},	//251 Attica::Message::from() const
    {24, 520, 3, 1, 0, 0, 8},	//252 Attica::Message::setTo(const QString&)
    {24, 547, 0, 0, Smoke::mf_const, 125, 9},	//253 Attica::Message::to() const
    {24, 504, 9, 1, 0, 0, 10},	//254 Attica::Message::setSent(const QDateTime&)
    {24, 393, 0, 0, Smoke::mf_const, 110, 11},	//255 Attica::Message::sent() const
    {24, 510, 69, 1, 0, 0, 12},	//256 Attica::Message::setStatus(Attica::Message::Status)
    {24, 540, 0, 0, Smoke::mf_const, 85, 13},	//257 Attica::Message::status() const
    {24, 516, 3, 1, 0, 0, 14},	//258 Attica::Message::setSubject(const QString&)
    {24, 543, 0, 0, Smoke::mf_const, 125, 15},	//259 Attica::Message::subject() const
    {24, 408, 3, 1, 0, 0, 16},	//260 Attica::Message::setBody(const QString&)
    {24, 89, 0, 0, Smoke::mf_const, 125, 17},	//261 Attica::Message::body() const
    {24, 228, 0, 0, Smoke::mf_const, 203, 18},	//262 Attica::Message::isValid() const
    {24, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 19},	//263 Attica::Message::Unread (enum)
    {24, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 20},	//264 Attica::Message::Read (enum)
    {24, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 21},	//265 Attica::Message::Answered (enum)
    {24, 581, 0, 0, Smoke::mf_dtor, 0, 22 },	//266 Attica::Message::~Message()
    {25, 29, 0, 0, Smoke::mf_ctor, 88, 1},	//267 Attica::Metadata::Metadata()
    {25, 29, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//268 Attica::Metadata::Metadata(const Attica::Metadata&)
    {25, 250, 28, 1, 0, 87, 3},	//269 Attica::Metadata::operator=(const Attica::Metadata&)
    {25, 183, 0, 0, Smoke::mf_const, 89, 4},	//270 Attica::Metadata::error() const
    {25, 442, 71, 1, 0, 0, 5},	//271 Attica::Metadata::setError(Attica::Metadata::Error)
    {25, 541, 0, 0, Smoke::mf_const, 244, 6},	//272 Attica::Metadata::statusCode() const
    {25, 512, 34, 1, 0, 0, 7},	//273 Attica::Metadata::setStatusCode(int)
    {25, 542, 0, 0, Smoke::mf_const, 125, 8},	//274 Attica::Metadata::statusString() const
    {25, 514, 3, 1, 0, 0, 9},	//275 Attica::Metadata::setStatusString(const QString&)
    {25, 241, 0, 0, 0, 125, 10},	//276 Attica::Metadata::message()
    {25, 472, 3, 1, 0, 0, 11},	//277 Attica::Metadata::setMessage(const QString&)
    {25, 548, 0, 0, 0, 244, 12},	//278 Attica::Metadata::totalItems()
    {25, 522, 34, 1, 0, 0, 13},	//279 Attica::Metadata::setTotalItems(int)
    {25, 229, 0, 0, 0, 244, 14},	//280 Attica::Metadata::itemsPerPage()
    {25, 461, 34, 1, 0, 0, 15},	//281 Attica::Metadata::setItemsPerPage(int)
    {25, 368, 0, 0, 0, 125, 16},	//282 Attica::Metadata::resultingId()
    {25, 502, 3, 1, 0, 0, 17},	//283 Attica::Metadata::setResultingId(const QString&)
    {25, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 18},	//284 Attica::Metadata::NoError (enum)
    {25, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 19},	//285 Attica::Metadata::NetworkError (enum)
    {25, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 20},	//286 Attica::Metadata::OcsError (enum)
    {25, 582, 0, 0, Smoke::mf_dtor, 0, 21 },	//287 Attica::Metadata::~Metadata()
    {26, 38, 0, 0, Smoke::mf_ctor, 92, 1},	//288 Attica::Person::Person()
    {26, 38, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//289 Attica::Person::Person(const Attica::Person&)
    {26, 250, 7, 1, 0, 91, 3},	//290 Attica::Person::operator=(const Attica::Person&)
    {26, 459, 3, 1, 0, 0, 4},	//291 Attica::Person::setId(const QString&)
    {26, 221, 0, 0, Smoke::mf_const, 125, 5},	//292 Attica::Person::id() const
    {26, 444, 3, 1, 0, 0, 6},	//293 Attica::Person::setFirstName(const QString&)
    {26, 193, 0, 0, Smoke::mf_const, 125, 7},	//294 Attica::Person::firstName() const
    {26, 463, 3, 1, 0, 0, 8},	//295 Attica::Person::setLastName(const QString&)
    {26, 231, 0, 0, Smoke::mf_const, 125, 9},	//296 Attica::Person::lastName() const
    {26, 406, 55, 1, 0, 0, 10},	//297 Attica::Person::setBirthday(const QDate&)
    {26, 88, 0, 0, Smoke::mf_const, 109, 11},	//298 Attica::Person::birthday() const
    {26, 420, 3, 1, 0, 0, 12},	//299 Attica::Person::setCountry(const QString&)
    {26, 109, 0, 0, Smoke::mf_const, 125, 13},	//300 Attica::Person::country() const
    {26, 465, 57, 1, 0, 0, 14},	//301 Attica::Person::setLatitude(double)
    {26, 232, 0, 0, Smoke::mf_const, 243, 15},	//302 Attica::Person::latitude() const
    {26, 470, 57, 1, 0, 0, 16},	//303 Attica::Person::setLongitude(double)
    {26, 240, 0, 0, Smoke::mf_const, 243, 17},	//304 Attica::Person::longitude() const
    {26, 402, 11, 1, 0, 0, 18},	//305 Attica::Person::setAvatarUrl(const QUrl&)
    {26, 83, 0, 0, Smoke::mf_const, 130, 19},	//306 Attica::Person::avatarUrl() const
    {26, 454, 3, 1, 0, 0, 20},	//307 Attica::Person::setHomepage(const QString&)
    {26, 219, 0, 0, Smoke::mf_const, 125, 21},	//308 Attica::Person::homepage() const
    {26, 414, 3, 1, 0, 0, 22},	//309 Attica::Person::setCity(const QString&)
    {26, 100, 0, 0, Smoke::mf_const, 125, 23},	//310 Attica::Person::city() const
    {26, 57, 40, 2, 0, 0, 24},	//311 Attica::Person::addExtendedAttribute(const QString&, const QString&)
    {26, 187, 3, 1, Smoke::mf_const, 125, 25},	//312 Attica::Person::extendedAttribute(const QString&) const
    {26, 189, 0, 0, Smoke::mf_const, 118, 26},	//313 Attica::Person::extendedAttributes() const
    {26, 228, 0, 0, Smoke::mf_const, 203, 27},	//314 Attica::Person::isValid() const
    {26, 583, 0, 0, Smoke::mf_dtor, 0, 28 },	//315 Attica::Person::~Person()
    {27, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 117, 1},	//316 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {27, 55, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//317 Attica::PlatformDependent::addDefaultProviderFile(const QUrl&) [pure virtual]
    {27, 288, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//318 Attica::PlatformDependent::removeDefaultProviderFile(const QUrl&) [pure virtual]
    {27, 180, 73, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//319 Attica::PlatformDependent::enableProvider(const QUrl&, bool) const [pure virtual]
    {27, 226, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 203, 5},	//320 Attica::PlatformDependent::isEnabled(const QUrl&) const [pure virtual]
    {27, 207, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 203, 6},	//321 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {27, 236, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 203, 7},	//322 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {27, 74, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 203, 8},	//323 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {27, 369, 80, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 203, 9},	//324 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {27, 197, 84, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 10},	//325 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {27, 257, 86, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 11},	//326 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {27, 257, 89, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 12},	//327 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {27, 480, 92, 1, Smoke::mf_virtual, 0, 13},	//328 Attica::PlatformDependent::setNam(QNetworkAccessManager*)
    {27, 247, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 120, 14},	//329 Attica::PlatformDependent::nam() [pure virtual]
    {27, 40, 0, 0, Smoke::mf_ctor, 93, 15},	//330 Attica::PlatformDependent::PlatformDependent()
    {27, 40, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 16},	//331 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {27, 584, 0, 0, Smoke::mf_dtor, 0, 17 },	//332 Attica::PlatformDependent::~PlatformDependent()
    {28, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//333 Attica::PostJob::metaObject() const
    {28, 283, 13, 1, Smoke::mf_virtual, 246, 2},	//334 Attica::PostJob::qt_metacast(const char*)
    {28, 549, 15, 2, Smoke::mf_static, 125, 3},	//335 Attica::PostJob::tr(const char*, const char*)
    {28, 553, 15, 2, Smoke::mf_static, 125, 4},	//336 Attica::PostJob::trUtf8(const char*, const char*)
    {28, 549, 18, 3, Smoke::mf_static, 125, 5},	//337 Attica::PostJob::tr(const char*, const char*, int)
    {28, 553, 18, 3, Smoke::mf_static, 125, 6},	//338 Attica::PostJob::trUtf8(const char*, const char*, int)
    {28, 281, 22, 3, Smoke::mf_virtual, 244, 7},	//339 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 549, 13, 1, Smoke::mf_static, 125, 8},	//340 Attica::PostJob::tr(const char*)
    {28, 553, 13, 1, Smoke::mf_static, 125, 9},	//341 Attica::PostJob::trUtf8(const char*)
    {28, 539, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 10},	//342 Attica::PostJob::staticMetaObject() const
    {28, 585, 0, 0, Smoke::mf_dtor, 0, 11 },	//343 Attica::PostJob::~PostJob()
    {31, 42, 0, 0, Smoke::mf_ctor, 99, 1},	//344 Attica::Provider::Provider()
    {31, 42, 96, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//345 Attica::Provider::Provider(const Attica::Provider&)
    {31, 250, 96, 1, 0, 98, 3},	//346 Attica::Provider::operator=(const Attica::Provider&)
    {31, 228, 0, 0, Smoke::mf_const, 203, 4},	//347 Attica::Provider::isValid() const
    {31, 226, 0, 0, Smoke::mf_const, 203, 5},	//348 Attica::Provider::isEnabled() const
    {31, 438, 47, 1, 0, 0, 6},	//349 Attica::Provider::setEnabled(bool)
    {31, 85, 0, 0, Smoke::mf_const, 130, 7},	//350 Attica::Provider::baseUrl() const
    {31, 248, 0, 0, Smoke::mf_const, 125, 8},	//351 Attica::Provider::name() const
    {31, 214, 0, 0, Smoke::mf_const, 203, 9},	//352 Attica::Provider::hasPersonService() const
    {31, 256, 0, 0, Smoke::mf_const, 125, 10},	//353 Attica::Provider::personServiceVersion() const
    {31, 211, 0, 0, Smoke::mf_const, 203, 11},	//354 Attica::Provider::hasFriendService() const
    {31, 195, 0, 0, Smoke::mf_const, 125, 12},	//355 Attica::Provider::friendServiceVersion() const
    {31, 213, 0, 0, Smoke::mf_const, 203, 13},	//356 Attica::Provider::hasMessageService() const
    {31, 243, 0, 0, Smoke::mf_const, 125, 14},	//357 Attica::Provider::messageServiceVersion() const
    {31, 203, 0, 0, Smoke::mf_const, 203, 15},	//358 Attica::Provider::hasAchievementService() const
    {31, 51, 0, 0, Smoke::mf_const, 125, 16},	//359 Attica::Provider::achievementServiceVersion() const
    {31, 204, 0, 0, Smoke::mf_const, 203, 17},	//360 Attica::Provider::hasActivityService() const
    {31, 52, 0, 0, Smoke::mf_const, 125, 18},	//361 Attica::Provider::activityServiceVersion() const
    {31, 206, 0, 0, Smoke::mf_const, 203, 19},	//362 Attica::Provider::hasContentService() const
    {31, 108, 0, 0, Smoke::mf_const, 125, 20},	//363 Attica::Provider::contentServiceVersion() const
    {31, 209, 0, 0, Smoke::mf_const, 203, 21},	//364 Attica::Provider::hasFanService() const
    {31, 190, 0, 0, Smoke::mf_const, 125, 22},	//365 Attica::Provider::fanServiceVersion() const
    {31, 210, 0, 0, Smoke::mf_const, 203, 23},	//366 Attica::Provider::hasForumService() const
    {31, 194, 0, 0, Smoke::mf_const, 125, 24},	//367 Attica::Provider::forumServiceVersion() const
    {31, 212, 0, 0, Smoke::mf_const, 203, 25},	//368 Attica::Provider::hasKnowledgebaseService() const
    {31, 230, 0, 0, Smoke::mf_const, 125, 26},	//369 Attica::Provider::knowledgebaseServiceVersion() const
    {31, 205, 0, 0, Smoke::mf_const, 203, 27},	//370 Attica::Provider::hasCommentService() const
    {31, 102, 0, 0, Smoke::mf_const, 125, 28},	//371 Attica::Provider::commentServiceVersion() const
    {31, 207, 0, 0, Smoke::mf_const, 203, 29},	//372 Attica::Provider::hasCredentials() const
    {31, 207, 0, 0, 0, 203, 30},	//373 Attica::Provider::hasCredentials()
    {31, 236, 98, 2, 0, 203, 31},	//374 Attica::Provider::loadCredentials(QString&, QString&)
    {31, 369, 40, 2, 0, 203, 32},	//375 Attica::Provider::saveCredentials(const QString&, const QString&)
    {31, 97, 40, 2, 0, 94, 33},	//376 Attica::Provider::checkLogin(const QString&, const QString&)
    {31, 286, 101, 5, 0, 94, 34},	//377 Attica::Provider::registerAccount(const QString&, const QString&, const QString&, const QString&, const QString&)
    {31, 336, 3, 1, 0, 48, 35},	//378 Attica::Provider::requestPerson(const QString&)
    {31, 345, 0, 0, 0, 48, 36},	//379 Attica::Provider::requestPersonSelf()
    {31, 293, 0, 0, 0, 39, 37},	//380 Attica::Provider::requestAccountBalance()
    {31, 343, 3, 1, 0, 77, 38},	//381 Attica::Provider::requestPersonSearchByName(const QString&)
    {31, 338, 107, 5, 0, 77, 39},	//382 Attica::Provider::requestPersonSearchByLocation(double, double, double, int, int)
    {31, 261, 113, 4, 0, 94, 40},	//383 Attica::Provider::postLocation(double, double, const QString&, const QString&)
    {31, 346, 40, 2, 0, 49, 41},	//384 Attica::Provider::requestPrivateData(const QString&, const QString&)
    {31, 346, 0, 0, 0, 49, 42},	//385 Attica::Provider::requestPrivateData()
    {31, 496, 118, 3, 0, 94, 43},	//386 Attica::Provider::setPrivateData(const QString&, const QString&, const QString&)
    {31, 323, 122, 3, 0, 77, 44},	//387 Attica::Provider::requestFriends(const QString&, int, int)
    {31, 361, 126, 2, 0, 77, 45},	//388 Attica::Provider::requestSentInvitations(int, int)
    {31, 355, 126, 2, 0, 77, 46},	//389 Attica::Provider::requestReceivedInvitations(int, int)
    {31, 223, 40, 2, 0, 94, 47},	//390 Attica::Provider::inviteFriend(const QString&, const QString&)
    {31, 72, 3, 1, 0, 94, 48},	//391 Attica::Provider::approveFriendship(const QString&)
    {31, 125, 3, 1, 0, 94, 49},	//392 Attica::Provider::declineFriendship(const QString&)
    {31, 92, 3, 1, 0, 94, 50},	//393 Attica::Provider::cancelFriendship(const QString&)
    {31, 319, 0, 0, 0, 71, 51},	//394 Attica::Provider::requestFolders()
    {31, 333, 59, 1, 0, 76, 52},	//395 Attica::Provider::requestMessages(const Attica::Folder&)
    {31, 333, 129, 2, 0, 76, 53},	//396 Attica::Provider::requestMessages(const Attica::Folder&, Attica::Message::Status)
    {31, 331, 132, 2, 0, 47, 54},	//397 Attica::Provider::requestMessage(const Attica::Folder&, const QString&)
    {31, 265, 67, 1, 0, 94, 55},	//398 Attica::Provider::postMessage(const Attica::Message&)
    {31, 294, 118, 3, 0, 62, 56},	//399 Attica::Provider::requestAchievements(const QString&, const QString&, const QString&)
    {31, 59, 135, 2, 0, 53, 57},	//400 Attica::Provider::addNewAchievement(const QString&, const Attica::Achievement&)
    {31, 172, 138, 3, 0, 104, 58},	//401 Attica::Provider::editAchievement(const QString&, const QString&, const Attica::Achievement&)
    {31, 129, 40, 2, 0, 20, 59},	//402 Attica::Provider::deleteAchievement(const QString&, const QString&)
    {31, 394, 142, 3, 0, 94, 60},	//403 Attica::Provider::setAchievementProgress(const QString&, const QVariant&, const QDateTime&)
    {31, 366, 3, 1, 0, 20, 61},	//404 Attica::Provider::resetAchievementProgress(const QString&)
    {31, 296, 0, 0, 0, 63, 62},	//405 Attica::Provider::requestActivities()
    {31, 259, 3, 1, 0, 94, 63},	//406 Attica::Provider::postActivity(const QString&)
    {31, 351, 0, 0, 0, 78, 64},	//407 Attica::Provider::requestProjects()
    {31, 349, 3, 1, 0, 50, 65},	//408 Attica::Provider::requestProject(const QString&)
    {31, 112, 146, 1, 0, 94, 66},	//409 Attica::Provider::createProject(const Attica::Project&)
    {31, 137, 146, 1, 0, 94, 67},	//410 Attica::Provider::deleteProject(const Attica::Project&)
    {31, 176, 146, 1, 0, 94, 68},	//411 Attica::Provider::editProject(const Attica::Project&)
    {31, 297, 3, 1, 0, 40, 69},	//412 Attica::Provider::requestBuildService(const QString&)
    {31, 352, 3, 1, 0, 51, 70},	//413 Attica::Provider::requestPublisher(const QString&)
    {31, 372, 148, 2, 0, 94, 71},	//414 Attica::Provider::savePublisherField(const Attica::Project&, const Attica::PublisherField&)
    {31, 279, 151, 2, 0, 94, 72},	//415 Attica::Provider::publishBuildJob(const Attica::BuildServiceJob&, const Attica::Publisher&)
    {31, 301, 3, 1, 0, 42, 73},	//416 Attica::Provider::requestBuildServiceJobOutput(const QString&)
    {31, 299, 3, 1, 0, 41, 74},	//417 Attica::Provider::requestBuildServiceJob(const QString&)
    {31, 305, 0, 0, 0, 64, 75},	//418 Attica::Provider::requestBuildServices()
    {31, 354, 0, 0, 0, 79, 76},	//419 Attica::Provider::requestPublishers()
    {31, 303, 146, 1, 0, 65, 77},	//420 Attica::Provider::requestBuildServiceJobs(const Attica::Project&)
    {31, 110, 154, 1, 0, 94, 78},	//421 Attica::Provider::createBuildServiceJob(const Attica::BuildServiceJob&)
    {31, 90, 154, 1, 0, 94, 79},	//422 Attica::Provider::cancelBuildServiceJob(const Attica::BuildServiceJob&)
    {31, 360, 0, 0, 0, 80, 80},	//423 Attica::Provider::requestRemoteAccounts()
    {31, 139, 3, 1, 0, 94, 81},	//424 Attica::Provider::deleteRemoteAccount(const QString&)
    {31, 114, 156, 1, 0, 94, 82},	//425 Attica::Provider::createRemoteAccount(const Attica::RemoteAccount&)
    {31, 178, 156, 1, 0, 94, 83},	//426 Attica::Provider::editRemoteAccount(const Attica::RemoteAccount&)
    {31, 358, 3, 1, 0, 52, 84},	//427 Attica::Provider::requestRemoteAccount(const QString&)
    {31, 559, 158, 3, 0, 94, 85},	//428 Attica::Provider::uploadTarballToBuildService(const QString&, const QString&, const QByteArray&)
    {31, 306, 0, 0, 0, 66, 86},	//429 Attica::Provider::requestCategories()
    {31, 330, 0, 0, 0, 75, 87},	//430 Attica::Provider::requestLicenses()
    {31, 311, 0, 0, 0, 69, 88},	//431 Attica::Provider::requestDistributions()
    {31, 327, 0, 0, 0, 73, 89},	//432 Attica::Provider::requestHomePageTypes()
    {31, 374, 162, 5, 0, 68, 90},	//433 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {31, 385, 168, 6, 0, 68, 91},	//434 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {31, 374, 175, 8, 0, 68, 92},	//435 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {31, 309, 3, 1, 0, 43, 93},	//436 Attica::Provider::requestContent(const QString&)
    {31, 165, 40, 2, 0, 44, 94},	//437 Attica::Provider::downloadLink(const QString&, const QString&)
    {31, 567, 184, 2, 0, 94, 95},	//438 Attica::Provider::voteForContent(const QString&, bool)
    {31, 567, 187, 2, 0, 94, 96},	//439 Attica::Provider::voteForContent(const QString&, unsigned int)
    {31, 63, 190, 2, 0, 55, 97},	//440 Attica::Provider::addNewContent(const Attica::Category&, const Attica::Content&)
    {31, 174, 193, 3, 0, 55, 98},	//441 Attica::Provider::editContent(const Attica::Category&, const QString&, const Attica::Content&)
    {31, 131, 3, 1, 0, 94, 99},	//442 Attica::Provider::deleteContent(const QString&)
    {31, 432, 158, 3, 0, 94, 100},	//443 Attica::Provider::setDownloadFile(const QString&, const QString&, const QByteArray&)
    {31, 133, 3, 1, 0, 94, 101},	//444 Attica::Provider::deleteDownloadFile(const QString&)
    {31, 490, 197, 4, 0, 94, 102},	//445 Attica::Provider::setPreviewImage(const QString&, const QString&, const QString&, const QByteArray&)
    {31, 135, 40, 2, 0, 94, 103},	//446 Attica::Provider::deletePreviewImage(const QString&, const QString&)
    {31, 328, 3, 1, 0, 46, 104},	//447 Attica::Provider::requestKnowledgeBaseEntry(const QString&)
    {31, 391, 202, 5, 0, 74, 105},	//448 Attica::Provider::searchKnowledgeBase(const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int)
    {31, 312, 3, 1, 0, 45, 106},	//449 Attica::Provider::requestEvent(const QString&)
    {31, 312, 208, 6, 0, 70, 107},	//450 Attica::Provider::requestEvent(const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int)
    {31, 307, 215, 5, 0, 67, 108},	//451 Attica::Provider::requestComments(const Attica::Comment::Type, const QString&, const QString&, int, int)
    {31, 61, 221, 6, 0, 54, 109},	//452 Attica::Provider::addNewComment(const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&)
    {31, 565, 187, 2, 0, 94, 110},	//453 Attica::Provider::voteForComment(const QString&, unsigned int)
    {31, 86, 3, 1, 0, 94, 111},	//454 Attica::Provider::becomeFan(const QString&)
    {31, 315, 228, 3, 0, 77, 112},	//455 Attica::Provider::requestFans(const QString&, unsigned int, unsigned int)
    {31, 320, 232, 2, 0, 72, 113},	//456 Attica::Provider::requestForums(unsigned int, unsigned int)
    {31, 364, 235, 6, 0, 81, 114},	//457 Attica::Provider::requestTopics(const QString&, const QString&, const QString&, Attica::Provider::SortMode, int, int)
    {31, 267, 118, 3, 0, 94, 115},	//458 Attica::Provider::postTopic(const QString&, const QString&, const QString&)
    {31, 200, 0, 0, Smoke::mf_const, 237, 116},	//459 Attica::Provider::getRegisterAccountUrl() const
    {31, 119, 3, 1, Smoke::mf_protected, 130, 117},	//460 Attica::Provider::createUrl(const QString&)
    {31, 116, 11, 1, Smoke::mf_protected, 122, 118},	//461 Attica::Provider::createRequest(const QUrl&)
    {31, 116, 3, 1, Smoke::mf_protected, 122, 119},	//462 Attica::Provider::createRequest(const QString&)
    {31, 159, 11, 1, Smoke::mf_protected, 48, 120},	//463 Attica::Provider::doRequestPerson(const QUrl&)
    {31, 147, 11, 1, Smoke::mf_protected, 39, 121},	//464 Attica::Provider::doRequestAccountBalance(const QUrl&)
    {31, 161, 11, 1, Smoke::mf_protected, 77, 122},	//465 Attica::Provider::doRequestPersonList(const QUrl&)
    {31, 149, 11, 1, Smoke::mf_protected, 62, 123},	//466 Attica::Provider::doRequestAchievementList(const QUrl&)
    {31, 151, 11, 1, Smoke::mf_protected, 63, 124},	//467 Attica::Provider::doRequestActivityList(const QUrl&)
    {31, 153, 11, 1, Smoke::mf_protected, 71, 125},	//468 Attica::Provider::doRequestFolderList(const QUrl&)
    {31, 155, 11, 1, Smoke::mf_protected, 72, 126},	//469 Attica::Provider::doRequestForumList(const QUrl&)
    {31, 163, 11, 1, Smoke::mf_protected, 81, 127},	//470 Attica::Provider::doRequestTopicList(const QUrl&)
    {31, 157, 11, 1, Smoke::mf_protected, 76, 128},	//471 Attica::Provider::doRequestMessageList(const QUrl&)
    {31, 338, 242, 2, 0, 77, 129},	//472 Attica::Provider::requestPersonSearchByLocation(double, double)
    {31, 338, 245, 3, 0, 77, 130},	//473 Attica::Provider::requestPersonSearchByLocation(double, double, double)
    {31, 338, 249, 4, 0, 77, 131},	//474 Attica::Provider::requestPersonSearchByLocation(double, double, double, int)
    {31, 261, 242, 2, 0, 94, 132},	//475 Attica::Provider::postLocation(double, double)
    {31, 261, 254, 3, 0, 94, 133},	//476 Attica::Provider::postLocation(double, double, const QString&)
    {31, 346, 3, 1, 0, 49, 134},	//477 Attica::Provider::requestPrivateData(const QString&)
    {31, 323, 3, 1, 0, 77, 135},	//478 Attica::Provider::requestFriends(const QString&)
    {31, 323, 258, 2, 0, 77, 136},	//479 Attica::Provider::requestFriends(const QString&, int)
    {31, 361, 0, 0, 0, 77, 137},	//480 Attica::Provider::requestSentInvitations()
    {31, 361, 34, 1, 0, 77, 138},	//481 Attica::Provider::requestSentInvitations(int)
    {31, 355, 0, 0, 0, 77, 139},	//482 Attica::Provider::requestReceivedInvitations()
    {31, 355, 34, 1, 0, 77, 140},	//483 Attica::Provider::requestReceivedInvitations(int)
    {31, 374, 261, 1, 0, 68, 141},	//484 Attica::Provider::searchContents(const QList<Attica::Category>&)
    {31, 374, 263, 2, 0, 68, 142},	//485 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&)
    {31, 374, 266, 3, 0, 68, 143},	//486 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode)
    {31, 374, 270, 4, 0, 68, 144},	//487 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {31, 385, 263, 2, 0, 68, 145},	//488 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&)
    {31, 385, 275, 3, 0, 68, 146},	//489 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&)
    {31, 385, 279, 4, 0, 68, 147},	//490 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode)
    {31, 385, 284, 5, 0, 68, 148},	//491 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int)
    {31, 374, 290, 4, 0, 68, 149},	//492 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&)
    {31, 374, 295, 5, 0, 68, 150},	//493 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&)
    {31, 374, 301, 6, 0, 68, 151},	//494 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode)
    {31, 374, 308, 7, 0, 68, 152},	//495 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {31, 165, 3, 1, 0, 44, 153},	//496 Attica::Provider::downloadLink(const QString&)
    {31, 315, 3, 1, 0, 77, 154},	//497 Attica::Provider::requestFans(const QString&)
    {31, 315, 187, 2, 0, 77, 155},	//498 Attica::Provider::requestFans(const QString&, unsigned int)
    {31, 320, 0, 0, 0, 72, 156},	//499 Attica::Provider::requestForums()
    {31, 320, 49, 1, 0, 72, 157},	//500 Attica::Provider::requestForums(unsigned int)
    {31, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 158},	//501 Attica::Provider::Newest (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 159},	//502 Attica::Provider::Alphabetical (enum)
    {31, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 160},	//503 Attica::Provider::Rating (enum)
    {31, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 161},	//504 Attica::Provider::Downloads (enum)
    {31, 586, 0, 0, Smoke::mf_dtor, 0, 162 },	//505 Attica::Provider::~Provider()
    {32, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//506 Attica::ProviderManager::metaObject() const
    {32, 283, 13, 1, Smoke::mf_virtual, 246, 2},	//507 Attica::ProviderManager::qt_metacast(const char*)
    {32, 549, 15, 2, Smoke::mf_static, 125, 3},	//508 Attica::ProviderManager::tr(const char*, const char*)
    {32, 553, 15, 2, Smoke::mf_static, 125, 4},	//509 Attica::ProviderManager::trUtf8(const char*, const char*)
    {32, 549, 18, 3, Smoke::mf_static, 125, 5},	//510 Attica::ProviderManager::tr(const char*, const char*, int)
    {32, 553, 18, 3, Smoke::mf_static, 125, 6},	//511 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {32, 281, 22, 3, Smoke::mf_virtual, 244, 7},	//512 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {32, 44, 316, 1, Smoke::mf_ctor, 101, 8},	//513 Attica::ProviderManager::ProviderManager(const QFlags<Attica::ProviderManager::ProviderFlag>&)
    {32, 239, 0, 0, 0, 0, 9},	//514 Attica::ProviderManager::loadDefaultProviders()
    {32, 127, 0, 0, 0, 117, 10},	//515 Attica::ProviderManager::defaultProviderFiles()
    {32, 67, 11, 1, 0, 0, 11},	//516 Attica::ProviderManager::addProviderFileToDefaultProviders(const QUrl&)
    {32, 290, 11, 1, 0, 0, 12},	//517 Attica::ProviderManager::removeProviderFileFromDefaultProviders(const QUrl&)
    {32, 400, 47, 1, 0, 0, 13},	//518 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {32, 101, 0, 0, 0, 0, 14},	//519 Attica::ProviderManager::clear()
    {32, 69, 3, 1, 0, 0, 15},	//520 Attica::ProviderManager::addProviderFromXml(const QString&)
    {32, 65, 11, 1, 0, 0, 16},	//521 Attica::ProviderManager::addProviderFile(const QUrl&)
    {32, 277, 0, 0, Smoke::mf_const, 117, 17},	//522 Attica::ProviderManager::providerFiles() const
    {32, 278, 0, 0, Smoke::mf_const, 116, 18},	//523 Attica::ProviderManager::providers() const
    {32, 105, 3, 1, Smoke::mf_const, 203, 19},	//524 Attica::ProviderManager::contains(const QString&) const
    {32, 275, 11, 1, Smoke::mf_const, 97, 20},	//525 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {32, 273, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//526 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {32, 128, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//527 Attica::ProviderManager::defaultProvidersLoaded()
    {32, 80, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//528 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {32, 549, 13, 1, Smoke::mf_static, 125, 24},	//529 Attica::ProviderManager::tr(const char*)
    {32, 553, 13, 1, Smoke::mf_static, 125, 25},	//530 Attica::ProviderManager::trUtf8(const char*)
    {32, 44, 0, 0, Smoke::mf_ctor, 101, 26},	//531 Attica::ProviderManager::ProviderManager()
    {32, 539, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 27},	//532 Attica::ProviderManager::staticMetaObject() const
    {32, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 28},	//533 Attica::ProviderManager::NoFlags (enum)
    {32, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 29},	//534 Attica::ProviderManager::DisablePlugins (enum)
    {32, 587, 0, 0, Smoke::mf_dtor, 0, 30 },	//535 Attica::ProviderManager::~ProviderManager()
    {50, 184, 318, 1, Smoke::mf_virtual, 203, 0},	//536 QObject::event(QEvent*)
    {50, 185, 320, 2, Smoke::mf_virtual, 203, 0},	//537 QObject::eventFilter(QObject*, QEvent*)
    {50, 545, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//538 QObject::timerEvent(QTimerEvent*)
    {50, 99, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//539 QObject::childEvent(QChildEvent*)
    {50, 123, 318, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//540 QObject::customEvent(QEvent*)
    {50, 104, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//541 QObject::connectNotify(const char*)
    {50, 145, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//542 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    326,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    327,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
    372,  // Attica::Provider::hasCredentials() const
    373,  // Attica::Provider::hasCredentials()
    0,
    438,  // Attica::Provider::voteForContent(const QString&, bool)
    439,  // Attica::Provider::voteForContent(const QString&, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1, 1},	// Attica::AccountBalance::AccountBalance
    {1, 2, 2},	// Attica::AccountBalance::AccountBalance#
    {1, 84, 7},	// Attica::AccountBalance::balance
    {1, 122, 5},	// Attica::AccountBalance::currency
    {1, 251, 3},	// Attica::AccountBalance::operator=#
    {1, 405, 6},	// Attica::AccountBalance::setBalance$
    {1, 425, 4},	// Attica::AccountBalance::setCurrency$
    {1, 569, 8},	// Attica::AccountBalance::~AccountBalance
    {3, 3, 9},	// Attica::Activity::Activity
    {3, 4, 10},	// Attica::Activity::Activity#
    {3, 76, 15},	// Attica::Activity::associatedPerson
    {3, 221, 13},	// Attica::Activity::id
    {3, 228, 22},	// Attica::Activity::isValid
    {3, 235, 21},	// Attica::Activity::link
    {3, 241, 19},	// Attica::Activity::message
    {3, 251, 11},	// Attica::Activity::operator=#
    {3, 399, 14},	// Attica::Activity::setAssociatedPerson#
    {3, 460, 12},	// Attica::Activity::setId$
    {3, 468, 20},	// Attica::Activity::setLink#
    {3, 473, 18},	// Attica::Activity::setMessage$
    {3, 519, 16},	// Attica::Activity::setTimestamp#
    {3, 546, 17},	// Attica::Activity::timestamp
    {3, 570, 23},	// Attica::Activity::~Activity
    {4, 37, 44},	// Attica::BaseJob::PasswordAttribute
    {4, 49, 43},	// Attica::BaseJob::UserAttribute
    {4, 50, 33},	// Attica::BaseJob::abort
    {4, 124, 35},	// Attica::BaseJob::dataFinished
    {4, 186, 37},	// Attica::BaseJob::executeRequest
    {4, 192, 34},	// Attica::BaseJob::finished#
    {4, 222, 39},	// Attica::BaseJob::internals
    {4, 244, 24},	// Attica::BaseJob::metaObject
    {4, 245, 31},	// Attica::BaseJob::metadata
    {4, 255, 38},	// Attica::BaseJob::parse$
    {4, 282, 30},	// Attica::BaseJob::qt_metacall$$?
    {4, 284, 25},	// Attica::BaseJob::qt_metacast$
    {4, 477, 36},	// Attica::BaseJob::setMetadata#
    {4, 537, 32},	// Attica::BaseJob::start
    {4, 539, 42},	// Attica::BaseJob::staticMetaObject
    {4, 550, 40},	// Attica::BaseJob::tr$
    {4, 551, 26},	// Attica::BaseJob::tr$$
    {4, 552, 28},	// Attica::BaseJob::tr$$$
    {4, 554, 41},	// Attica::BaseJob::trUtf8$
    {4, 555, 27},	// Attica::BaseJob::trUtf8$$
    {4, 556, 29},	// Attica::BaseJob::trUtf8$$$
    {4, 571, 45},	// Attica::BaseJob::~BaseJob
    {8, 7, 46},	// Attica::Category::Category
    {8, 8, 47},	// Attica::Category::Category#
    {8, 221, 50},	// Attica::Category::id
    {8, 228, 53},	// Attica::Category::isValid
    {8, 248, 52},	// Attica::Category::name
    {8, 251, 48},	// Attica::Category::operator=#
    {8, 460, 49},	// Attica::Category::setId$
    {8, 483, 51},	// Attica::Category::setName$
    {8, 572, 54},	// Attica::Category::~Category
    {10, 9, 55},	// Attica::Content::Content
    {10, 10, 56},	// Attica::Content::Content#
    {10, 54, 91},	// Attica::Content::addAttribute$$
    {10, 78, 92},	// Attica::Content::attribute$
    {10, 79, 93},	// Attica::Content::attributes
    {10, 82, 86},	// Attica::Content::author
    {10, 96, 75},	// Attica::Content::changelog
    {10, 121, 69},	// Attica::Content::created
    {10, 141, 77},	// Attica::Content::depend
    {10, 142, 73},	// Attica::Content::description
    {10, 144, 74},	// Attica::Content::detailpage
    {10, 169, 78},	// Attica::Content::downloadUrlDescription$
    {10, 170, 79},	// Attica::Content::downloadUrlDescriptions
    {10, 171, 65},	// Attica::Content::downloads
    {10, 216, 81},	// Attica::Content::homePageEntries
    {10, 218, 80},	// Attica::Content::homePageEntry$
    {10, 220, 87},	// Attica::Content::icons
    {10, 221, 59},	// Attica::Content::id
    {10, 228, 94},	// Attica::Content::isValid
    {10, 233, 84},	// Attica::Content::license
    {10, 234, 85},	// Attica::Content::licenseName
    {10, 248, 61},	// Attica::Content::name
    {10, 249, 67},	// Attica::Content::numberOfComments
    {10, 251, 57},	// Attica::Content::operator=#
    {10, 269, 95},	// Attica::Content::previewPicture
    {10, 270, 82},	// Attica::Content::previewPicture$
    {10, 285, 63},	// Attica::Content::rating
    {10, 423, 68},	// Attica::Content::setCreated#
    {10, 435, 64},	// Attica::Content::setDownloads$
    {10, 458, 88},	// Attica::Content::setIcons?
    {10, 460, 58},	// Attica::Content::setId$
    {10, 483, 60},	// Attica::Content::setName$
    {10, 485, 66},	// Attica::Content::setNumberOfComments$
    {10, 499, 62},	// Attica::Content::setRating$
    {10, 527, 70},	// Attica::Content::setUpdated#
    {10, 533, 90},	// Attica::Content::setVideos?
    {10, 535, 96},	// Attica::Content::smallPreviewPicture
    {10, 536, 83},	// Attica::Content::smallPreviewPicture$
    {10, 544, 72},	// Attica::Content::summary
    {10, 558, 71},	// Attica::Content::updated
    {10, 563, 76},	// Attica::Content::version
    {10, 564, 89},	// Attica::Content::videos
    {10, 573, 97},	// Attica::Content::~Content
    {13, 12, 98},	// Attica::DownloadDescription::DownloadDescription
    {13, 13, 99},	// Attica::DownloadDescription::DownloadDescription#
    {13, 19, 131},	// Attica::DownloadDescription::FileDownload
    {13, 26, 132},	// Attica::DownloadDescription::LinkDownload
    {13, 36, 133},	// Attica::DownloadDescription::PackageDownload
    {13, 94, 105},	// Attica::DownloadDescription::category
    {13, 146, 108},	// Attica::DownloadDescription::distributionType
    {13, 201, 112},	// Attica::DownloadDescription::gpgFingerprint
    {13, 202, 113},	// Attica::DownloadDescription::gpgSignature
    {13, 215, 104},	// Attica::DownloadDescription::hasPrice
    {13, 221, 101},	// Attica::DownloadDescription::id
    {13, 225, 103},	// Attica::DownloadDescription::isDownloadtypLink
    {13, 235, 107},	// Attica::DownloadDescription::link
    {13, 248, 106},	// Attica::DownloadDescription::name
    {13, 251, 100},	// Attica::DownloadDescription::operator=#
    {13, 252, 114},	// Attica::DownloadDescription::packageName
    {13, 271, 110},	// Attica::DownloadDescription::priceAmount
    {13, 272, 109},	// Attica::DownloadDescription::priceReason
    {13, 292, 115},	// Attica::DownloadDescription::repository
    {13, 411, 120},	// Attica::DownloadDescription::setCategory$
    {13, 431, 123},	// Attica::DownloadDescription::setDistributionType$
    {13, 437, 118},	// Attica::DownloadDescription::setDownloadtypLink$
    {13, 449, 127},	// Attica::DownloadDescription::setGpgFingerprint$
    {13, 451, 128},	// Attica::DownloadDescription::setGpgSignature$
    {13, 453, 119},	// Attica::DownloadDescription::setHasPrice$
    {13, 460, 116},	// Attica::DownloadDescription::setId$
    {13, 469, 122},	// Attica::DownloadDescription::setLink$
    {13, 483, 121},	// Attica::DownloadDescription::setName$
    {13, 487, 129},	// Attica::DownloadDescription::setPackageName$
    {13, 493, 125},	// Attica::DownloadDescription::setPriceAmount$
    {13, 495, 124},	// Attica::DownloadDescription::setPriceReason$
    {13, 501, 130},	// Attica::DownloadDescription::setRepository$
    {13, 507, 126},	// Attica::DownloadDescription::setSize$
    {13, 525, 117},	// Attica::DownloadDescription::setType$
    {13, 534, 111},	// Attica::DownloadDescription::size
    {13, 557, 102},	// Attica::DownloadDescription::type
    {13, 574, 134},	// Attica::DownloadDescription::~DownloadDescription
    {14, 14, 135},	// Attica::DownloadItem::DownloadItem
    {14, 15, 136},	// Attica::DownloadItem::DownloadItem#
    {14, 201, 147},	// Attica::DownloadItem::gpgFingerprint
    {14, 202, 149},	// Attica::DownloadItem::gpgSignature
    {14, 246, 141},	// Attica::DownloadItem::mimeType
    {14, 251, 137},	// Attica::DownloadItem::operator=#
    {14, 252, 143},	// Attica::DownloadItem::packageName
    {14, 253, 145},	// Attica::DownloadItem::packageRepository
    {14, 449, 146},	// Attica::DownloadItem::setGpgFingerprint$
    {14, 451, 148},	// Attica::DownloadItem::setGpgSignature$
    {14, 479, 140},	// Attica::DownloadItem::setMimeType$
    {14, 487, 142},	// Attica::DownloadItem::setPackageName$
    {14, 489, 144},	// Attica::DownloadItem::setPackageRepository$
    {14, 525, 150},	// Attica::DownloadItem::setType$
    {14, 529, 138},	// Attica::DownloadItem::setUrl#
    {14, 557, 151},	// Attica::DownloadItem::type
    {14, 561, 139},	// Attica::DownloadItem::url
    {14, 575, 152},	// Attica::DownloadItem::~DownloadItem
    {15, 17, 153},	// Attica::Event::Event
    {15, 18, 154},	// Attica::Event::Event#
    {15, 58, 178},	// Attica::Event::addExtendedAttribute$$
    {15, 100, 177},	// Attica::Event::city
    {15, 109, 175},	// Attica::Event::country
    {15, 142, 161},	// Attica::Event::description
    {15, 182, 167},	// Attica::Event::endDate
    {15, 188, 179},	// Attica::Event::extendedAttribute$
    {15, 189, 180},	// Attica::Event::extendedAttributes
    {15, 219, 173},	// Attica::Event::homepage
    {15, 221, 157},	// Attica::Event::id
    {15, 228, 181},	// Attica::Event::isValid
    {15, 232, 169},	// Attica::Event::latitude
    {15, 240, 171},	// Attica::Event::longitude
    {15, 248, 159},	// Attica::Event::name
    {15, 251, 155},	// Attica::Event::operator=#
    {15, 415, 176},	// Attica::Event::setCity$
    {15, 421, 174},	// Attica::Event::setCountry$
    {15, 427, 160},	// Attica::Event::setDescription$
    {15, 441, 166},	// Attica::Event::setEndDate#
    {15, 455, 172},	// Attica::Event::setHomepage#
    {15, 460, 156},	// Attica::Event::setId$
    {15, 466, 168},	// Attica::Event::setLatitude$
    {15, 471, 170},	// Attica::Event::setLongitude$
    {15, 483, 158},	// Attica::Event::setName$
    {15, 509, 164},	// Attica::Event::setStartDate#
    {15, 531, 162},	// Attica::Event::setUser$
    {15, 538, 165},	// Attica::Event::startDate
    {15, 562, 163},	// Attica::Event::user
    {15, 576, 182},	// Attica::Event::~Event
    {16, 20, 183},	// Attica::Folder::Folder
    {16, 21, 184},	// Attica::Folder::Folder#
    {16, 221, 187},	// Attica::Folder::id
    {16, 228, 194},	// Attica::Folder::isValid
    {16, 242, 191},	// Attica::Folder::messageCount
    {16, 248, 189},	// Attica::Folder::name
    {16, 251, 185},	// Attica::Folder::operator=#
    {16, 460, 186},	// Attica::Folder::setId$
    {16, 475, 190},	// Attica::Folder::setMessageCount$
    {16, 483, 188},	// Attica::Folder::setName$
    {16, 525, 192},	// Attica::Folder::setType$
    {16, 557, 193},	// Attica::Folder::type
    {16, 577, 195},	// Attica::Folder::~Folder
    {18, 244, 196},	// Attica::GetJob::metaObject
    {18, 282, 202},	// Attica::GetJob::qt_metacall$$?
    {18, 284, 197},	// Attica::GetJob::qt_metacast$
    {18, 539, 205},	// Attica::GetJob::staticMetaObject
    {18, 550, 203},	// Attica::GetJob::tr$
    {18, 551, 198},	// Attica::GetJob::tr$$
    {18, 552, 200},	// Attica::GetJob::tr$$$
    {18, 554, 204},	// Attica::GetJob::trUtf8$
    {18, 555, 199},	// Attica::GetJob::trUtf8$$
    {18, 556, 201},	// Attica::GetJob::trUtf8$$$
    {18, 578, 206},	// Attica::GetJob::~GetJob
    {22, 22, 207},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry
    {22, 23, 208},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry#
    {22, 58, 230},	// Attica::KnowledgeBaseEntry::addExtendedAttribute$$
    {22, 71, 225},	// Attica::KnowledgeBaseEntry::answer
    {22, 95, 219},	// Attica::KnowledgeBaseEntry::changed
    {22, 103, 227},	// Attica::KnowledgeBaseEntry::comments
    {22, 107, 213},	// Attica::KnowledgeBaseEntry::contentId
    {22, 142, 223},	// Attica::KnowledgeBaseEntry::description
    {22, 143, 229},	// Attica::KnowledgeBaseEntry::detailPage
    {22, 188, 231},	// Attica::KnowledgeBaseEntry::extendedAttribute$
    {22, 189, 232},	// Attica::KnowledgeBaseEntry::extendedAttributes
    {22, 221, 211},	// Attica::KnowledgeBaseEntry::id
    {22, 228, 233},	// Attica::KnowledgeBaseEntry::isValid
    {22, 248, 221},	// Attica::KnowledgeBaseEntry::name
    {22, 251, 209},	// Attica::KnowledgeBaseEntry::operator=#
    {22, 397, 224},	// Attica::KnowledgeBaseEntry::setAnswer$
    {22, 413, 218},	// Attica::KnowledgeBaseEntry::setChanged#
    {22, 417, 226},	// Attica::KnowledgeBaseEntry::setComments$
    {22, 419, 212},	// Attica::KnowledgeBaseEntry::setContentId$
    {22, 427, 222},	// Attica::KnowledgeBaseEntry::setDescription$
    {22, 429, 228},	// Attica::KnowledgeBaseEntry::setDetailPage#
    {22, 460, 210},	// Attica::KnowledgeBaseEntry::setId$
    {22, 483, 220},	// Attica::KnowledgeBaseEntry::setName$
    {22, 511, 216},	// Attica::KnowledgeBaseEntry::setStatus$
    {22, 531, 214},	// Attica::KnowledgeBaseEntry::setUser$
    {22, 540, 217},	// Attica::KnowledgeBaseEntry::status
    {22, 562, 215},	// Attica::KnowledgeBaseEntry::user
    {22, 579, 234},	// Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry
    {23, 24, 235},	// Attica::License::License
    {23, 25, 236},	// Attica::License::License#
    {23, 221, 238},	// Attica::License::id
    {23, 248, 240},	// Attica::License::name
    {23, 251, 237},	// Attica::License::operator=#
    {23, 460, 239},	// Attica::License::setId$
    {23, 483, 241},	// Attica::License::setName$
    {23, 529, 243},	// Attica::License::setUrl#
    {23, 561, 242},	// Attica::License::url
    {23, 580, 244},	// Attica::License::~License
    {24, 6, 265},	// Attica::Message::Answered
    {24, 27, 245},	// Attica::Message::Message
    {24, 28, 246},	// Attica::Message::Message#
    {24, 47, 264},	// Attica::Message::Read
    {24, 48, 263},	// Attica::Message::Unread
    {24, 89, 261},	// Attica::Message::body
    {24, 196, 251},	// Attica::Message::from
    {24, 221, 249},	// Attica::Message::id
    {24, 228, 262},	// Attica::Message::isValid
    {24, 251, 247},	// Attica::Message::operator=#
    {24, 393, 255},	// Attica::Message::sent
    {24, 409, 260},	// Attica::Message::setBody$
    {24, 447, 250},	// Attica::Message::setFrom$
    {24, 460, 248},	// Attica::Message::setId$
    {24, 505, 254},	// Attica::Message::setSent#
    {24, 511, 256},	// Attica::Message::setStatus$
    {24, 517, 258},	// Attica::Message::setSubject$
    {24, 521, 252},	// Attica::Message::setTo$
    {24, 540, 257},	// Attica::Message::status
    {24, 543, 259},	// Attica::Message::subject
    {24, 547, 253},	// Attica::Message::to
    {24, 581, 266},	// Attica::Message::~Message
    {25, 29, 267},	// Attica::Metadata::Metadata
    {25, 30, 268},	// Attica::Metadata::Metadata#
    {25, 31, 285},	// Attica::Metadata::NetworkError
    {25, 33, 284},	// Attica::Metadata::NoError
    {25, 35, 286},	// Attica::Metadata::OcsError
    {25, 183, 270},	// Attica::Metadata::error
    {25, 229, 280},	// Attica::Metadata::itemsPerPage
    {25, 241, 276},	// Attica::Metadata::message
    {25, 251, 269},	// Attica::Metadata::operator=#
    {25, 368, 282},	// Attica::Metadata::resultingId
    {25, 443, 271},	// Attica::Metadata::setError$
    {25, 462, 281},	// Attica::Metadata::setItemsPerPage$
    {25, 473, 277},	// Attica::Metadata::setMessage$
    {25, 503, 283},	// Attica::Metadata::setResultingId$
    {25, 513, 273},	// Attica::Metadata::setStatusCode$
    {25, 515, 275},	// Attica::Metadata::setStatusString$
    {25, 523, 279},	// Attica::Metadata::setTotalItems$
    {25, 541, 272},	// Attica::Metadata::statusCode
    {25, 542, 274},	// Attica::Metadata::statusString
    {25, 548, 278},	// Attica::Metadata::totalItems
    {25, 582, 287},	// Attica::Metadata::~Metadata
    {26, 38, 288},	// Attica::Person::Person
    {26, 39, 289},	// Attica::Person::Person#
    {26, 58, 311},	// Attica::Person::addExtendedAttribute$$
    {26, 83, 306},	// Attica::Person::avatarUrl
    {26, 88, 298},	// Attica::Person::birthday
    {26, 100, 310},	// Attica::Person::city
    {26, 109, 300},	// Attica::Person::country
    {26, 188, 312},	// Attica::Person::extendedAttribute$
    {26, 189, 313},	// Attica::Person::extendedAttributes
    {26, 193, 294},	// Attica::Person::firstName
    {26, 219, 308},	// Attica::Person::homepage
    {26, 221, 292},	// Attica::Person::id
    {26, 228, 314},	// Attica::Person::isValid
    {26, 231, 296},	// Attica::Person::lastName
    {26, 232, 302},	// Attica::Person::latitude
    {26, 240, 304},	// Attica::Person::longitude
    {26, 251, 290},	// Attica::Person::operator=#
    {26, 403, 305},	// Attica::Person::setAvatarUrl#
    {26, 407, 297},	// Attica::Person::setBirthday#
    {26, 415, 309},	// Attica::Person::setCity$
    {26, 421, 299},	// Attica::Person::setCountry$
    {26, 445, 293},	// Attica::Person::setFirstName$
    {26, 456, 307},	// Attica::Person::setHomepage$
    {26, 460, 291},	// Attica::Person::setId$
    {26, 464, 295},	// Attica::Person::setLastName$
    {26, 466, 301},	// Attica::Person::setLatitude$
    {26, 471, 303},	// Attica::Person::setLongitude$
    {26, 583, 315},	// Attica::Person::~Person
    {27, 40, 330},	// Attica::PlatformDependent::PlatformDependent
    {27, 41, 331},	// Attica::PlatformDependent::PlatformDependent#
    {27, 56, 317},	// Attica::PlatformDependent::addDefaultProviderFile#
    {27, 75, 323},	// Attica::PlatformDependent::askForCredentials#$$
    {27, 181, 319},	// Attica::PlatformDependent::enableProvider#$
    {27, 198, 325},	// Attica::PlatformDependent::get#
    {27, 199, 316},	// Attica::PlatformDependent::getDefaultProviderFiles
    {27, 208, 321},	// Attica::PlatformDependent::hasCredentials#
    {27, 227, 320},	// Attica::PlatformDependent::isEnabled#
    {27, 237, 322},	// Attica::PlatformDependent::loadCredentials#$$
    {27, 247, 329},	// Attica::PlatformDependent::nam
    {27, 258, -1},	// Attica::PlatformDependent::post##
    {27, 289, 318},	// Attica::PlatformDependent::removeDefaultProviderFile#
    {27, 370, 324},	// Attica::PlatformDependent::saveCredentials#$$
    {27, 481, 328},	// Attica::PlatformDependent::setNam#
    {27, 584, 332},	// Attica::PlatformDependent::~PlatformDependent
    {28, 244, 333},	// Attica::PostJob::metaObject
    {28, 282, 339},	// Attica::PostJob::qt_metacall$$?
    {28, 284, 334},	// Attica::PostJob::qt_metacast$
    {28, 539, 342},	// Attica::PostJob::staticMetaObject
    {28, 550, 340},	// Attica::PostJob::tr$
    {28, 551, 335},	// Attica::PostJob::tr$$
    {28, 552, 337},	// Attica::PostJob::tr$$$
    {28, 554, 341},	// Attica::PostJob::trUtf8$
    {28, 555, 336},	// Attica::PostJob::trUtf8$$
    {28, 556, 338},	// Attica::PostJob::trUtf8$$$
    {28, 585, 343},	// Attica::PostJob::~PostJob
    {31, 5, 502},	// Attica::Provider::Alphabetical
    {31, 16, 504},	// Attica::Provider::Downloads
    {31, 32, 501},	// Attica::Provider::Newest
    {31, 42, 344},	// Attica::Provider::Provider
    {31, 43, 345},	// Attica::Provider::Provider#
    {31, 46, 503},	// Attica::Provider::Rating
    {31, 51, 359},	// Attica::Provider::achievementServiceVersion
    {31, 52, 361},	// Attica::Provider::activityServiceVersion
    {31, 60, 400},	// Attica::Provider::addNewAchievement$#
    {31, 62, 452},	// Attica::Provider::addNewComment$$$$$$
    {31, 64, 440},	// Attica::Provider::addNewContent##
    {31, 73, 391},	// Attica::Provider::approveFriendship$
    {31, 85, 350},	// Attica::Provider::baseUrl
    {31, 87, 454},	// Attica::Provider::becomeFan$
    {31, 91, 422},	// Attica::Provider::cancelBuildServiceJob#
    {31, 93, 393},	// Attica::Provider::cancelFriendship$
    {31, 98, 376},	// Attica::Provider::checkLogin$$
    {31, 102, 371},	// Attica::Provider::commentServiceVersion
    {31, 108, 363},	// Attica::Provider::contentServiceVersion
    {31, 111, 421},	// Attica::Provider::createBuildServiceJob#
    {31, 113, 409},	// Attica::Provider::createProject#
    {31, 115, 425},	// Attica::Provider::createRemoteAccount#
    {31, 117, 461},	// Attica::Provider::createRequest#
    {31, 118, 462},	// Attica::Provider::createRequest$
    {31, 120, 460},	// Attica::Provider::createUrl$
    {31, 126, 392},	// Attica::Provider::declineFriendship$
    {31, 130, 402},	// Attica::Provider::deleteAchievement$$
    {31, 132, 442},	// Attica::Provider::deleteContent$
    {31, 134, 444},	// Attica::Provider::deleteDownloadFile$
    {31, 136, 446},	// Attica::Provider::deletePreviewImage$$
    {31, 138, 410},	// Attica::Provider::deleteProject#
    {31, 140, 424},	// Attica::Provider::deleteRemoteAccount$
    {31, 148, 464},	// Attica::Provider::doRequestAccountBalance#
    {31, 150, 466},	// Attica::Provider::doRequestAchievementList#
    {31, 152, 467},	// Attica::Provider::doRequestActivityList#
    {31, 154, 468},	// Attica::Provider::doRequestFolderList#
    {31, 156, 469},	// Attica::Provider::doRequestForumList#
    {31, 158, 471},	// Attica::Provider::doRequestMessageList#
    {31, 160, 463},	// Attica::Provider::doRequestPerson#
    {31, 162, 465},	// Attica::Provider::doRequestPersonList#
    {31, 164, 470},	// Attica::Provider::doRequestTopicList#
    {31, 166, 496},	// Attica::Provider::downloadLink$
    {31, 167, 437},	// Attica::Provider::downloadLink$$
    {31, 173, 401},	// Attica::Provider::editAchievement$$#
    {31, 175, 441},	// Attica::Provider::editContent#$#
    {31, 177, 411},	// Attica::Provider::editProject#
    {31, 179, 426},	// Attica::Provider::editRemoteAccount#
    {31, 190, 365},	// Attica::Provider::fanServiceVersion
    {31, 194, 367},	// Attica::Provider::forumServiceVersion
    {31, 195, 355},	// Attica::Provider::friendServiceVersion
    {31, 200, 459},	// Attica::Provider::getRegisterAccountUrl
    {31, 203, 358},	// Attica::Provider::hasAchievementService
    {31, 204, 360},	// Attica::Provider::hasActivityService
    {31, 205, 370},	// Attica::Provider::hasCommentService
    {31, 206, 362},	// Attica::Provider::hasContentService
    {31, 207, -4},	// Attica::Provider::hasCredentials
    {31, 209, 364},	// Attica::Provider::hasFanService
    {31, 210, 366},	// Attica::Provider::hasForumService
    {31, 211, 354},	// Attica::Provider::hasFriendService
    {31, 212, 368},	// Attica::Provider::hasKnowledgebaseService
    {31, 213, 356},	// Attica::Provider::hasMessageService
    {31, 214, 352},	// Attica::Provider::hasPersonService
    {31, 224, 390},	// Attica::Provider::inviteFriend$$
    {31, 226, 348},	// Attica::Provider::isEnabled
    {31, 228, 347},	// Attica::Provider::isValid
    {31, 230, 369},	// Attica::Provider::knowledgebaseServiceVersion
    {31, 238, 374},	// Attica::Provider::loadCredentials$$
    {31, 243, 357},	// Attica::Provider::messageServiceVersion
    {31, 248, 351},	// Attica::Provider::name
    {31, 251, 346},	// Attica::Provider::operator=#
    {31, 256, 353},	// Attica::Provider::personServiceVersion
    {31, 260, 406},	// Attica::Provider::postActivity$
    {31, 262, 475},	// Attica::Provider::postLocation$$
    {31, 263, 476},	// Attica::Provider::postLocation$$$
    {31, 264, 383},	// Attica::Provider::postLocation$$$$
    {31, 266, 398},	// Attica::Provider::postMessage#
    {31, 268, 458},	// Attica::Provider::postTopic$$$
    {31, 280, 415},	// Attica::Provider::publishBuildJob##
    {31, 287, 377},	// Attica::Provider::registerAccount$$$$$
    {31, 293, 380},	// Attica::Provider::requestAccountBalance
    {31, 295, 399},	// Attica::Provider::requestAchievements$$$
    {31, 296, 405},	// Attica::Provider::requestActivities
    {31, 298, 412},	// Attica::Provider::requestBuildService$
    {31, 300, 417},	// Attica::Provider::requestBuildServiceJob$
    {31, 302, 416},	// Attica::Provider::requestBuildServiceJobOutput$
    {31, 304, 420},	// Attica::Provider::requestBuildServiceJobs#
    {31, 305, 418},	// Attica::Provider::requestBuildServices
    {31, 306, 429},	// Attica::Provider::requestCategories
    {31, 308, 451},	// Attica::Provider::requestComments$$$$$
    {31, 310, 436},	// Attica::Provider::requestContent$
    {31, 311, 431},	// Attica::Provider::requestDistributions
    {31, 313, 449},	// Attica::Provider::requestEvent$
    {31, 314, 450},	// Attica::Provider::requestEvent$$#$$$
    {31, 316, 497},	// Attica::Provider::requestFans$
    {31, 317, 498},	// Attica::Provider::requestFans$$
    {31, 318, 455},	// Attica::Provider::requestFans$$$
    {31, 319, 394},	// Attica::Provider::requestFolders
    {31, 320, 499},	// Attica::Provider::requestForums
    {31, 321, 500},	// Attica::Provider::requestForums$
    {31, 322, 456},	// Attica::Provider::requestForums$$
    {31, 324, 478},	// Attica::Provider::requestFriends$
    {31, 325, 479},	// Attica::Provider::requestFriends$$
    {31, 326, 387},	// Attica::Provider::requestFriends$$$
    {31, 327, 432},	// Attica::Provider::requestHomePageTypes
    {31, 329, 447},	// Attica::Provider::requestKnowledgeBaseEntry$
    {31, 330, 430},	// Attica::Provider::requestLicenses
    {31, 332, 397},	// Attica::Provider::requestMessage#$
    {31, 334, 395},	// Attica::Provider::requestMessages#
    {31, 335, 396},	// Attica::Provider::requestMessages#$
    {31, 337, 378},	// Attica::Provider::requestPerson$
    {31, 339, 472},	// Attica::Provider::requestPersonSearchByLocation$$
    {31, 340, 473},	// Attica::Provider::requestPersonSearchByLocation$$$
    {31, 341, 474},	// Attica::Provider::requestPersonSearchByLocation$$$$
    {31, 342, 382},	// Attica::Provider::requestPersonSearchByLocation$$$$$
    {31, 344, 381},	// Attica::Provider::requestPersonSearchByName$
    {31, 345, 379},	// Attica::Provider::requestPersonSelf
    {31, 346, 385},	// Attica::Provider::requestPrivateData
    {31, 347, 477},	// Attica::Provider::requestPrivateData$
    {31, 348, 384},	// Attica::Provider::requestPrivateData$$
    {31, 350, 408},	// Attica::Provider::requestProject$
    {31, 351, 407},	// Attica::Provider::requestProjects
    {31, 353, 413},	// Attica::Provider::requestPublisher$
    {31, 354, 419},	// Attica::Provider::requestPublishers
    {31, 355, 482},	// Attica::Provider::requestReceivedInvitations
    {31, 356, 483},	// Attica::Provider::requestReceivedInvitations$
    {31, 357, 389},	// Attica::Provider::requestReceivedInvitations$$
    {31, 359, 427},	// Attica::Provider::requestRemoteAccount$
    {31, 360, 423},	// Attica::Provider::requestRemoteAccounts
    {31, 361, 480},	// Attica::Provider::requestSentInvitations
    {31, 362, 481},	// Attica::Provider::requestSentInvitations$
    {31, 363, 388},	// Attica::Provider::requestSentInvitations$$
    {31, 365, 457},	// Attica::Provider::requestTopics$$$$$$
    {31, 367, 404},	// Attica::Provider::resetAchievementProgress$
    {31, 371, 375},	// Attica::Provider::saveCredentials$$
    {31, 373, 414},	// Attica::Provider::savePublisherField##
    {31, 375, 484},	// Attica::Provider::searchContents?
    {31, 376, 485},	// Attica::Provider::searchContents?$
    {31, 377, 486},	// Attica::Provider::searchContents?$$
    {31, 378, 487},	// Attica::Provider::searchContents?$$$
    {31, 379, 433},	// Attica::Provider::searchContents?$$$$
    {31, 380, 492},	// Attica::Provider::searchContents?$??
    {31, 381, 493},	// Attica::Provider::searchContents?$??$
    {31, 382, 494},	// Attica::Provider::searchContents?$??$$
    {31, 383, 495},	// Attica::Provider::searchContents?$??$$$
    {31, 384, 435},	// Attica::Provider::searchContents?$??$$$$
    {31, 386, 488},	// Attica::Provider::searchContentsByPerson?$
    {31, 387, 489},	// Attica::Provider::searchContentsByPerson?$$
    {31, 388, 490},	// Attica::Provider::searchContentsByPerson?$$$
    {31, 389, 491},	// Attica::Provider::searchContentsByPerson?$$$$
    {31, 390, 434},	// Attica::Provider::searchContentsByPerson?$$$$$
    {31, 392, 448},	// Attica::Provider::searchKnowledgeBase#$$$$
    {31, 395, 403},	// Attica::Provider::setAchievementProgress$##
    {31, 433, 443},	// Attica::Provider::setDownloadFile$$#
    {31, 439, 349},	// Attica::Provider::setEnabled$
    {31, 491, 445},	// Attica::Provider::setPreviewImage$$$#
    {31, 497, 386},	// Attica::Provider::setPrivateData$$$
    {31, 560, 428},	// Attica::Provider::uploadTarballToBuildService$$#
    {31, 566, 453},	// Attica::Provider::voteForComment$$
    {31, 568, -7},	// Attica::Provider::voteForContent$$
    {31, 586, 505},	// Attica::Provider::~Provider
    {32, 11, 534},	// Attica::ProviderManager::DisablePlugins
    {32, 34, 533},	// Attica::ProviderManager::NoFlags
    {32, 44, 531},	// Attica::ProviderManager::ProviderManager
    {32, 45, 513},	// Attica::ProviderManager::ProviderManager#
    {32, 66, 521},	// Attica::ProviderManager::addProviderFile#
    {32, 68, 516},	// Attica::ProviderManager::addProviderFileToDefaultProviders#
    {32, 70, 520},	// Attica::ProviderManager::addProviderFromXml$
    {32, 81, 528},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {32, 101, 519},	// Attica::ProviderManager::clear
    {32, 106, 524},	// Attica::ProviderManager::contains$
    {32, 127, 515},	// Attica::ProviderManager::defaultProviderFiles
    {32, 128, 527},	// Attica::ProviderManager::defaultProvidersLoaded
    {32, 239, 514},	// Attica::ProviderManager::loadDefaultProviders
    {32, 244, 506},	// Attica::ProviderManager::metaObject
    {32, 274, 526},	// Attica::ProviderManager::providerAdded#
    {32, 276, 525},	// Attica::ProviderManager::providerByUrl#
    {32, 277, 522},	// Attica::ProviderManager::providerFiles
    {32, 278, 523},	// Attica::ProviderManager::providers
    {32, 282, 512},	// Attica::ProviderManager::qt_metacall$$?
    {32, 284, 507},	// Attica::ProviderManager::qt_metacast$
    {32, 291, 517},	// Attica::ProviderManager::removeProviderFileFromDefaultProviders#
    {32, 401, 518},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {32, 539, 532},	// Attica::ProviderManager::staticMetaObject
    {32, 550, 529},	// Attica::ProviderManager::tr$
    {32, 551, 508},	// Attica::ProviderManager::tr$$
    {32, 552, 510},	// Attica::ProviderManager::tr$$$
    {32, 554, 530},	// Attica::ProviderManager::trUtf8$
    {32, 555, 509},	// Attica::ProviderManager::trUtf8$$
    {32, 556, 511},	// Attica::ProviderManager::trUtf8$$$
    {32, 587, 535},	// Attica::ProviderManager::~ProviderManager
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 54,
        __smokeattica::methods, 543,
        __smokeattica::methodMaps, 533,
        __smokeattica::methodNames, 587,
        __smokeattica::types, 248,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
